Registry Tweaks

Note: I have not had time to properly organize these tips and tweaks. Perhaps in the next version. Browsing does have some advantages, though! You may find a hidden treasure you might otherwise have missed!

 These tips and tweaks have come from hundreds of individuals across the internet. I have included some of web sites links (below) that cover this popular topic.

I have not tested very many of these tips, so let me know if some don't work or have mistakes.

Tips & Tweaks Links

TipsDr
Paul Thurrott's Supersite for Windows - XP Tips & Tricks
Microsoft WinXP Support Center
Microsoft WinXP Professional
Microsoft WinXP Home
Microsoft WinXP Knowledge Base Articles
Microsoft Power Toys for Windows XP
 Microsoft Windows XP Tips
 Microsoft Windows XP User Tips Archive
 Microsoft Windows XP Professional Tips
 Microsoft Windows XP Home Edition Tips
 Microsoft Tips & Tricks for Windows XP Professional
 Microsoft Tips for Techies

Stop Jerky Graphics

If you are connected to a LAN and have problems with jerky graphics, this might be the solution:

  • Right-click "My Computer".
  • Select "Manage".
  • Click on "Device Manager".
  • Double-click on your NIC under "Network Adapters".
  • In the new window, select the "Advanced" tab.
  • Select "Connection Type" and manually set the value of your NIC. (Not "Auto Sense" which is default.).
  • You should reboot.

Shutdown XP Faster

Like previous versions of windows, it takes long time to restart or shutdown windows XP when the "Exit Windows" sound is enabled. To solve this problem you must disable this useless sound.

  • Click Start button.
  • Go to settings > Control Panel > Sound, Speech and Audio devices > Sounds and Audio Devices > Sounds.
  • Then under program events and windows menu click on "Exit Windows" sub-menu and highlight it. Now from sounds you can select, choose "none" and then click Apply and OK.

Now you should see some improvements when shutting down your system.

Speeding Up Your Pentium 2 by 50%

We all know that you really shouldn't try to run Windows XP on anything less that about a Pentium 3 of some sort if you are out for speedy operations and amazing reaction times, but for those of us with the good old Pentium 2's who want to see just how well we can run XP, we have to tweak as much as we can where-ever we can. A real killer to the system's performance is Windows Media Player. Although it may look desirable and fancy with it's rounded off edges and 3rd-Dimensional appearance, the truth is, it takes up a large amount of that precious processing power. All of these troubles however, lead to one thing in particular with this 'new-look' over-rated music and video player...the Visualizations. The look-great I'll admit but like a lot of software these days, it has no purpose. If you run the task manager, and click the Performance tab along the top, you'll see that when Windows Media Player is running and nothing else is active, it takes up around 50% of the processors power. Once these visualizations are turned off, it barely takes up 2-3% of the processors power, which leaves much more room for other applications to work efficiently.

Here's how to disable the feature:

  • Open Media Player.
  • Make sure the Now Playing tab on the left is selected.
  • Click the View menu along the top.
  • Go down to Now Playing Tools.
  • In the sub-menu that has just 'popped-out', uncheck Show Visualization.

Speed Up Detailed View in Explorer

If you like to view your files in Windows Explorer using the "Details" view here is a tweak to speed up the listing of file attributes:

Viewing files in Windows Explorer using the "Details" mode shows various attributes associated with each file shown. Some of these must be retrieved from the individual files when you click on the directory for viewing. For a directory with numerous and relatively large files (such as a folder in which one stores media, eg: *.mp3's, *.avi's etc.), Windows Explorer lags as it reads through each one. Here's how to disable viewing of unwanted attributes and speed up file browsing:

  • Open Windows Explorer.
  • Navigate to the folder which you wish to optimize.
  • In "Details" mode right-click the bar at the top which displays the names of the attribute columns.
  • Uncheck any that are unwanted/unneeded.

Explorer will apply your preferences immediately, and longs lists of unnecessary attributes will not be displayed.
Likewise, one may choose to display any information which is regarded as needed, getting more out of Explorer.

Easily Disable Messenger

Go into: C:/Program Files/Messenger. Rename the Messenger folder to "MessengerOFF".
This does not slow down Outlook Express or hinder system performance.

Turn Off System Restore to Save Space

By default, Windows XP keeps a backup of system files in the System Volume Information folder. This can eat up valuable space on your hard drive. If you don't want Windows to back up your system files:

  • Open the Control Panel.

  • Double-click on System.

  • Click the System Restore tab.

  • Check "Turn off System Restore on all drives".

  • Hit Apply.

  • You may now delete the System Volume Information folder.

Warning! If you turn this off you will not be able to use Windows System Restore to restore your system in case of failure.

Very Slow Boot When Networking

On some XP Pro installations, when connected to a network (peer-peer in this case), the computer boot time is over 1:40. The system seems to freeze after logging in and the desktop may not appear or will freeze for a minute. As timed with the utility, Bootvis.exe, the problem was with the driver mrxsmb.dll, adding over 67 seconds to the boot time. Turning off and restoring file and printer sharing eliminated 65 seconds from the boot time.

  • Alt-click (or right-click) on Network Places > Properties.
  • Alt-click on Ethernet Adapter connection > Properties.
  • Un-check "File and Printer Sharing for Microsoft Networks" > OK.
  • Reboot.
  • If you need file or printer sharing, repeat the above, re-check the box and re-boot again.

Easy Way to Adjust LargeSystemCache

Normally, the tweak I've seen asks you to go into HKLM\System\CurrentControlSet\Control\Session Manager\Memory Management and change the value to either O or 1 to the adjustment the LargeSystemCache.

However, in Windows XP, all you have to do is:

  • Right-click My Computer.
  • Select Properties.
  • Click Advanced.
  • Choose Performance.
  • Click Advanced again.
  • Select either Programs or System Cache under Memory Usage.
    Programs = 0 for the registry tweak equivalent
    System Cache = 1 for the registry tweak equivalent
  • On NT Server (in this case XP), the Large System Cache option is enabled, but disabled on Workstation. The two different settings effect how the cache manager allocates free memory. If the Large Cache option is on, the manager marks all the free memory, which isn't being used by the system and/or applications, as freely available for disk caching.
  • On the flip-side (with a small cache), the manager instead only sets aside 4MB of memory for disk caching in an attempt to accelerate the launch of applications. Or in a more technical approach, if enabled the system will favor system-cache working sets over process working sets (with a working set basically being the memory used by components of a process).

Slow Start-up When Using Norton Internet Security 2002

If you are using Norton Internet Security 2002, and are experiencing slow start-up of XP, (i.e. you can see the desktop with icons etc. but it takes 30-60sec before you can start using the computer), this fix might help:

  • Click on Start button.
  • Select Control Panel.
  • Open "Network Connections".
  • Under "LAN and High-Speed Internet", right-click on your "Local Area Connection" and select "Properties".
  • Under "General" tab, select "Internet Protocol (TCP/IP)" and select "Properties".
  • Select "Use the following IP address:".
  • Under "IP address" enter following : 192.168.0.1
  • Under "Subnet Mask:" enter following : 255.255.255.0
  • Click "Ok".

Correcting System Hang at Startup

If your system hangs about 2 or 3 minutes at startup, where you can't access the Start button or the Taskbar, it may be due to one specific service (Background Intelligent Transfer) running in the background. Microsoft put out a patch for this but it didn't work for me. Here's what you do:

  • Click on Start/Run, type 'msconfig', then click 'OK'.
  • Go to the 'Services' tab, find the 'Background Intelligent Transfer' service.
  • Disable it, apply the changes & reboot.

Disable XP Boot Logo

It is possible to disable the XP splash screen, which will slightly speed up the overall boot process. Be aware that removing the splash screen will also cause you not to see any boot-up messages that might come up (chkdsk, convert ... ), but if your system runs without any problems then it should not matter.

  • Edit boot.ini.
  • Add " /noguiboot" right after "/fastdetect".

Upon restarting, the splash screen will be gone. It can be re-enabled by removing the new switch.

Slow Network Access Not Always Due to Scheduled Tasks Check

If you have very slow access to your network computers through "My Network Places" and have already deleted the Registry entry calling for a check of Scheduled Tasks on the other network computers (documented elsewhere on this site) AND you have multiple network adaptors (i.e. a cable or DSL connection through one NIC and an internal network using a second NIC) check the following:

  • Right-click on "My Network Places", go to Properties.
  • Right-click on the NIC that your cable/DSL connects to, and choose Properties.
  • Select Internet Protocol (TCP/IP), and click on Properties.
  • Click on "Advanced", go to "WINS" tab, and chose Disable NetBios over TCP/IP.
  • When you are back at your Network Connections page, right-click on the Broadband selection.
  • Choose "Properties", click on the Networking tab.
  • Again, choose TCP/IP, Properties, Advanced, WINS, and select "disable NetBios over TCP/IP".

Turn Off Indexing to Speed Up XP

Windows XP keeps a record of all files on the hard disk so when you do a search on the hard drive it is faster. There is a downside to this and because the computer has to index all files, it will slow down normal file commands like open, close, etc. If you do not do a whole lot of searches on your hard drive then you may want to turn this feature off:

  • Open My Computer.
  • Right-click your hard drive icon and select Properties.
  • At the bottom of the window you'll see "Allow indexing service to index this disk for faster searches," uncheck this and click ok.
  • A new window will pop up and select Apply to all folders and subfolders.

It will take a minute or two for the changes to take affect but then you should enjoy slightly faster performance.

Clean Your Prefetch to Improve Performance

This is a unique technique for WinXP. We know that it is necessary to scrub registry and TEMP files for Win9X/ME/2000 periodically. Prefetch is a new and very useful technique in Windows XP. However, after using XP some time, the prefetch directory can get full of junk and obsolete links in the Prefetch catalog, which can slow down your computer noticeably.

  • Open C(system drive):/windows/prefetch, delete those junk and obsolete files, reboot. It is recommended that you do this every month.

Remove Hibernation File

If you do not use hibernation, make sure you do not have it enabled, which reserves disk space equal to your RAM. If you have a hidden file on the root directory of your C-drive called hiberfil.sys, hibernation is enabled. To remove that file:

  • Go to Control Panel, select Performance and Maintenance, Power Options, Hibernate tab, and uncheck the Enable hibernation box.

Performance Increase Through My Computer

Easy enough tweak to usually find out about it on your own, but still, some of us still don't find it right away. So here it is:

  • Start > right-click on My Computer and select Properties.
  • Click on the "Advanced" tab.
  • See the "Performance" section? Click "Settings".
  • Disable the following:

    Fade or slide menus into view
    Fade or slide ToolTips into view
    Fade out menu items after clicking
    Show Shadows under menus
    Slide open combo boxes
    Slide taskbar buttons
    Use a background image for each folder type
    Use common tasks in folders

There, now Windows will still look nice and perform faster.

Reduce 10 Second Scandisk Wait Time

  • Start MS Dos Prompt (Start run CMD), and type: CHKNTFS /T:4
    where 4 is the amount of wait time.

    CHKNTFS /?
    for more info.

DMA Mode on IDE Devices

Just like Windows 2000, Windows XP still fails to set the DMA mode correctly for the IDE device designated as the slaves on the primary IDE and secondary IDE channels. Most CD-ROMS are capable of supporting DMA mode, but the default in XP is still PIO. Setting it to DMA won't make your CD-ROM faster, but it will consume less CPU cycles. Here's how:

  • Open the Device Manager. One way to do that is to right-click on "My Computer", select the Hardware tab, and select Device Manager.
  • Expand "IDE ATA/ATAPI Controllers" and double-click on "Primary IDE Channel".
  • Under the "Advanced Settings" tab, check the "Device 1" setting. More than likely, your current transfer mode is set to PIO.
  • Set it to "DMA if available".
  • Repeat the step for the "Secondary IDE Channel" if you have devices attached to it. Reboot.

Load Internet Explorer the Fastest Way Possible

  • Edit your link to start Internet Explorer to have -nohome after it. For Example: "C:\Program Files\Internet Explorer\IEXPLORE.EXE" -nohome

This will load internet explorer very fast because it does not load a web page while it is loading. If you want to go to your homepage after it is loaded, just click on the home button.

Remove Messenger

  • Go to Start/Run, and type: "rundll32 setupapi,InstallHinfSection BLC.Remove 128 %SystemRoot%\INF\msmsgs.inf"

Auto Login

  • Go to Start/Run, and type 'control userpasswords2'.
  • From Users Tab, Uncheck "Users must enter ...."
  • A dialog will allow setting a user and password to be used automatically.

Turn Off Autoplay for Program CDs

How can you stop Windows XP from launching program CDs?

  • Click Start, click Run, type GPEDIT.MSC to open Group Policy in the Microsoft Management Console.
  • Double-click Computer Configuration, double-click Administrative templates, double-click System, and then click Turn off autoplay.
  • The instructions on your screen describe how to configure this setting. Click Properties to display the setting dialog.
  • Click Enabled, and choose CD-ROM drives, then click OK, to stop CD autoplay.

This setting does not prevent Autoplay for music CDs.

Change Drive Letters in Windows XP

When you add drives to your computer, such as an extra hard drive, a CD drive, or a storage device that corresponds to a drive, Windows automatically assigns letters to the drives. However, this assignment might not suit your system; for example, you might have mapped a network drive to the same letter that Windows assigns to a new drive. When you want to change drive letters, follow these steps:

  • Right-click My Computer, and then click Manage.
  • Under Computer Management, click Disk Management. In the right pane, you’ll see your drives listed. CD-ROM drives are listed at the bottom of the pane.
  • Right-click the drive or device you want to change, and then click Change Drive Letter and Paths.
  • Click Change, click Assign the following drive letter, click the drive letter you want to assign, and then click OK.

Synchronize Your Computer Clock with an Internet Time Server

Does your computer have the right time? If your computer is not part of a domain, you can synchronize your computer clock with an Internet time server. To do so:

  • Double–click the time on your task bar.
  • Click the Internet Time tab.
  • Select the time server you want to use and make sure to select the Automatically synchronize with an Internet time
    server check box.

Do Not Highlight Newly Installed Programs

Tired of that annoying little window that pops up to tell you that new software is installed? If it gets in the way when you’re logging off, turn it off completely. To do this:

  • Click Start, right-click at the top of the Start menu where your name is displayed, and then click Properties.
  • In the Taskbar and Start Menu Properties dialog box, on the Start Menu tab, click Customize.
  • Click the Advanced tab, and then clear the Highlight newly installed programs check box.
  • Click OK, and then click OK again.

Change the Default Opening Folder in Windows Explorer

By default, Windows Explorer opens showing the My Documents folder. To change the default setting so that all top–level drives and folders are shown, follow these steps:

  • Click Start > Programs > Accessories, then right–click Windows Explorer, and click Properties.
  • Under Target field, which reads %SystemRoot%\explorer.exe, add to make the line read:

    %SystemRoot%\explorer.exe /n, /e, /select, C:\
  • Click OK.

You Can Bypass the Recycle Bin On the Fly.

To bypass the Recycle Bin on a one-time basis, when you are deleting a file (or a group of selected files):

  • Press and hold down the shift-key while you press the del-key (or use the delete command). You receive the following confirmation-request message:

    Are you sure you want to send <filename> to the Recycle Bin?

Identify a 16-bit Program

  • Use Windows Explorer to open the folder that contains the program's executable (.exe) file.
  • Right-click the .exe file, and then click Properties.
  • A 16-bit program does not have a Version tab in this dialog box.

Use the Desktop Cleanup Wizard in Windows XP

To start the Desktop Cleanup Wizard:

  • Click Start , and then click Control Panel.
  • In Control Panel, click Appearance and Themes under Pick a category.
  • Under or pick a Control Panel icon , click Display. The Display Properties dialog box is displayed.
  • In the Display Properties dialog box, click the Desktop tab, and then click Customize Desktop. The Desktop Items dialog box is displayed.
  • Under Desktop cleanup , click to clear the Run Desktop Cleanup Wizard every 60 days check box if you do not want the Desktop Cleanup Wizard to automatically start every 60 days.
  • Click Clean Desktop Now. The Desktop Cleanup Wizard starts.

Remove Unwanted Shortcuts

  • In the Welcome to the Desktop Cleanup Wizard dialog box, click Next.
  • In the Shortcuts dialog box, a list of shortcuts are displayed in the Shortcut to Clean Up list. The shortcuts that you click are removed from the desktop and placed in the Unused Desktop Shortcuts folder on the Windows desktop.
  • If you do not want a shortcut to be removed from the desktop, click to clear the check box for that shortcut, and then click Next when you are finished.
  • In the Completing the Desktop Cleanup Wizard dialog box, view the items in the Shortcuts box to confirm that you want them removed from the desktop, and then click Finish.

The Desktop Cleanup Wizard moves the selected shortcuts to the Unused Desktop Shortcuts folder and then quits.

Restore Shortcuts

If a shortcut that you want is removed, follow these steps to restore the shortcut:

  • On the Desktop, double-click the Unused Desktop Shortcuts folder. The Unused Desktop Shortcuts dialog box is displayed. Note: If the Unused Desktop Shortcuts dialog box is maximized, click the Restore Down button (appears to the left of the red Close button).
  • Drag the shortcut that you want to the Windows desktop.
  • Close the Unused Desktop Shortcuts dialog box.

How to Turn On Automatic Updates

  • Click Start , click Control Panel , and then double-click System.
  • Click the Automatic Updates tab, and then click one of the following options:

    - Download the updates automatically and notify me when they are ready to be installed. (This is the default setting.)
    - Notify me before downloading any updates and notify me again before installing them on my computer.

How to Turn Off Automatic Updates

  • Click Start , click Control Panel , and then double-click System.
  • Click the Automatic Updates tab, and then click Turn off automatic updating. I want to update my computer manually.

How to Update Your Files Manually by Using Windows Update

If you choose not to use automatic updating, you can still install specific updates from the Windows Update Web site. Windows Update is a catalog of items such as drivers, security fixes, critical updates, the latest Help files, and Internet products that you can download to keep your computer up-to-date.

  • Click Windows Update in Help and Support Center.
  • On the Windows Update home page, click Scan for updates.
  • Click Yes when you are prompted to install any required software or device drivers.

How to Have Windows Remind You About Pending Updates

  • Click Remind Me Later in the Automatic Updates dialog box before you download or install the update.
  • In the Reminder dialog box, you can specify the amount of time Windows should wait before reminding you.
  • If the reminder is for downloading, Windows reminds you only when you are connected to the Internet.
  • If the reminder is for installing, Windows reminds you according to the schedule that you specify.

How to Download Available Updates

If you configured automatic updating to notify you before downloading any updates, an icon is displayed in the notification area each time new updates are found.

  • Double-click the icon in the notification area.
  • Do either of the following steps:

    If you want Windows to download an update, make sure that the check box beside it is selected.
    -or-
    If you do not want Windows to download an update, click to clear the check box beside it.

Your selected updates are downloaded in the background; this behavior allows you to continue working uninterrupted. Downloading does not interfere with or slow down other network activity, such as Internet browsing.

When downloading is finished, the icon is displayed in the notification area to notify you that updates are ready to be installed.

How to Pause or Resume Downloading

After the download process has started, you can pause or resume downloading at any time. If you close your Internet connection or restart your computer after pausing a download process, Windows automatically resumes the download process the next time you are connected to the Internet.

  • During the download process, click the icon that is displayed in the notification area, and then click Pause.
  • When you are ready for Windows to start downloading again, click the Automatic updating icon, and then click
    Resume.

Restore an Update that You Previously Declined

If you decide not to download a specific update, you can prompt Windows Update to offer that update again.

  • Click Start , click Control Panel, and then double-click System.
  • Click the Automatic Updates tab, and then click Restore Declined Updates.

Change Out Your Pointer Scheme

Tired of seeing your pointer as an arrow or an hourglass all the time? Windows XP offers a number of alternative pointer schemes, such as Dinosaur, Ocean and Sports:

  • Open the Control Panel, double-click Mouse, and select the Pointers tab. (If you start in Category view, select Appearance and Themes, then click Mouse Pointers under "See Also").
  • Next to Schemes, click the down arrow and select a scheme to preview its pointers.
  • Click OK to apply the scheme to your desktop.

Use the Ultimate Configuration Tool (Professional Edition Only)

One of the most full featured Windows XP configuration tools available is hidden right there in your system, but most people don't even know it exists. It's called the Local Group Policy Editor, or gpedit for short.

To invoke this editor:

  • Select Start and then Run, then type the following:

    gpedit.msc

After you hit Enter, you'll be greeted by gpedit, which lets you modify virtually every feature in Windows XP without having to resort to regedit.

Customize the Start menu

The Start menu gets more real estate in XP than in previous versions, and it's more customizable. To make the Start menu display only the applications you want, rather than the default determined by Microsoft:

  • Right-click in an empty section of the Start menu's left column.
  • Select Properties > Start Menu > Customize. Here you'll find a list of your most frequently used programs. (XP keeps track of what you use and what you don't, then updates this list dynamically).

Don't want your boss to know that Pinball, Solitaire, and Quake all make your list?

  • Go to the General tab, click Clear List, and set the counter to zero.

Internet Connection Sharing

To enable Internet Connection Sharing on a network connection:

  • Open Network Connections.
  • Click the dial-up, local area network, PPPoE, or VPN connection you want to share.
  • Then, under Network Tasks, click Change settings of this connection.
  • On the Advanced tab, select the Allow other network users to connect through this computer's Internet connection
    check box.
  • If you want this connection to dial automatically when another computer on your home or small office network
    attempts to access external resources, select the Establish a dial-up connection whenever a computer on my network
    attempts to access the Internet check box.
  • If you want other network users to enable or disable the shared Internet connection, select the Allow other network
    users to control or disable the shared Internet connection check box. Under Internet Connection Sharing, in Home networking connection, select any adapter that connects the computer sharing its Internet connection to the other computers on your network.

Win XP Won’t Completely Shutdown

  • Go to Control Panel, then go to Power Options.
  • Click on the APM tab, then check the "Enable Advanced Power Management support."
  • Shut down your PC.

It should now successfully complete the Shut Down process.

Adjust Various Visual Effects

  • Open up the Control Panel.
  • Go under System and click on the Advanced tab.
  • Click settings under Performance options.

You can now change various graphical effects (mainly animations and shadows).

Disable Error Reporting

  • Open Control Panel.
  • Click on Performance and Maintenance.
  • Click on System.
  • Then click on the Advanced tab.
  • Click on the error-reporting button on the bottom of the windows.
  • Select Disable error reporting.
  • Click OK. Click OK.

Close Multiple Windows

If you just opened a number of separate, related windows (a folder inside a folder, and so on), there's an easier way to close them all than one-at-a-time:

  • Hold down the shift-key as you click the X caption button in the upper-right corner of the last window opened. Doing so closes that window and all windows that came before it.

Enable Clear Type

Easy way: Click on or cut and paste link below: http://www.microsoft.com/typography/cleartype/cleartypeactivate.htm?fname=%20&fsize=

or

  • Right-click on a blank area of the Desktop and choose Properties.
  • Click on the Appearance tab; click effects.
  • Check the box: Use the following method to smooth edges of screen fonts.
  • In the drop down box select: Clear Type.

Turn Off CD Auto Play

  • Open My Computer.
  • Right-click on your CD-ROM and choose Properties.
  • Click on the Auto Play tab.
  • In the drop down box you can choose the action for each choice shown in the drop down box.
  • or Go to Start > Run > type gpedit.msc
  • Go to Computer Config > Administrative Template > System.
  • Double-click Turn off Autoplay.
  • Enable it.

Increase BROADBAND

This is for broad band connections, though it might work for dial up.

  • Make sure your logged on as actually "Administrator".
  • Start->Run->type gpedit.msc
  • Expand the "Local Computer Policy" branch.
  • Expand the "Administrative Templates" branch.
  • Expand the "Network Branch".
  • Highlight the "QoS Packet Scheduler" in left window.
  • In right window double-click the "Limit Reservable Bandwidth" setting.
  • On setting tab check the "Enabled" item.
  • Where it says "Bandwidth limit %" change it to read 0.

Effect is immediate on some systems, some need to re-boot. This is more of a "counter what XP does" thing. In other words, programs can request up to 20% of the bandwidth be reserved for them, even with QoS disabled.

Increase Your Cable Modem or DSL Speed in XP

This tweak is for broad band cable connections on stand alone machines with WinXP professional version - might work on Home version also. It may also work with networked machines as well.

This tweak assumes that you have let WinXP create a connection on install for your cable modem/NIC combination and that your connection has tcp/ip - QoS - file and print sharing - and client for Microsoft networks , only, installed. It also assumes that WinXP will detect your NIC and has in-box drivers for it. If it doesn't do not try this.

  • In the "My Network Places" properties (right-click on the desktop icon and choose properties), highlight the connection
    then at the menu bar choose "Advanced" then "Advanced Settings". Uncheck the two boxes in the lower half for the
    bindings for File and Printer sharing and Client for MS networks. Click OK.
  • From the Windows XP CD in the support directory from the support cab, extract the file netcap.exe and place it in a
    directory on your hard drive or even in the root of your C:\ drive.
  • Next, open up a command prompt window and change directories to where you put netcap.exe. then type "netcap/?".
    It will list some commands that are available for netcap and a netmon driver will be installed. At the bottom you will
    see your adapters. You should see two of them if using a 3Com card. One will be for LAN and the other will be for
    WAN something or other.
  • Next type "netcap/Remove". This will remove the netmon driver.
  • Open up Control Panel->System->Dev Man and look at your network adapters. You should now see two of them and one will have a yellow ! on it. Right-click on the one without the yellow ! and choose uninstall. YES! You are uninstalling your network adapter, continue with the uninstall. Do not restart yet.
  • Check your connection properties to make sure that no connection exists. If you get a wizard just cancel out of it.
    Now re-start the machine.
  • After re-start go to your connection properties again and you should have a new connection called "Local area connection 2". Highlight the connection, then at the menu bar choose "Advanced" then "Advanced Settings". Uncheck the two boxes in the lower half for the bindings for File and Printer sharing and Client for MS networks. Click OK.
  • Choose connection properties and uncheck the "QOS" box.
  • Re-start the machine.

After restart enjoy the increased responsiveness of IE, faster page loading, and a connection speed boost.

Why it works, it seems that windows XP, in its zeal to make sure every base is covered installs two separate versions of the NIC card. One you do not normally see in any properties. Remember the "netcap/?" command above showing two different adapters? The LAN one is the one you see. The invisible one loads everything down and its like your running two separate cards together, sharing a connection among two cards, this method breaks this "bond" and allows the NIC to run un-hindered.

Use a Shortcut to Local Area Network Connection Information

Something new in Windows XP, instead of using the command line program and typing ipconfig to find local area network information, you can use the following shortcut:

  • Click Start, point to Connect to, and then click Show All Connections.
  • Right–click the connection you want information about, and then click Status.
  • In the Connection Properties dialog box, click the Support tab. For even more information, click the Advanced tab.

To automatically enable the status monitor each time the connection is active, in the Connection Properties dialog box, select the Show icon in taskbar notification area when connected check box.

Change the Start Menu Style

Does the new Windows XP Start menu take up too much space on your desktop? You can easily change the look back to the Windows Classic Start menu by following these steps:

  • Right–click the Start button, and then click Properties.
  • Click Classic Start menu.
  • Click the Customize button to select items to display on the Start menu.

By default, selecting the Classic Start menu also adds the My Documents, My Computer, My Network Places, and Internet Explorer icons to your desktop.

Add a Map Drive Button to the Toolbar

Do you want to quickly map a drive, but can’t find the toolbar button? If you map drives often, use one of these options to add a Map Drive button to the folder toolbar.

Option One (Long Term Fix):
  • Click Start, click My Computer, right-click the toolbar, then unlock the toolbars, if necessary.
  • Right-click the toolbar again, and then click Customize.
  • Under Available toolbar buttons, locate Map Drive, and drag it into the position you want on the right under Current toolbar buttons.
  • Click Close, click OK, and then click OK again.

You now have drive mapping buttons on your toolbar, so you can map drives from any folder window. To unmap drives, follow the above procedure, selecting Disconnect under Available toolbar buttons. To quickly map a drive, try this option:

Option Two (Quick Fix):

  • Click Start, and right-click My Computer.
  • Click Map Network Drive.

If you place your My Computer icon directly on the desktop, you can make this move in only two clicks!

Do Not Highlight Newly Installed Programs

Tired of that annoying little window that pops up to tell you that new software is installed? If it gets in the way when you’re logging off, turn it off completely.

To do this:
  • Click Start, right-click at the top of the Start menu where your name is displayed, and then click Properties.
  • In the Taskbar and Start Menu Properties dialog box, on the Start Menu tab, click Customize.
  • Click the Advanced tab, and then clear the Highlight newly installed programs check box.
  • Click OK, and then click OK again.

Now that message won’t be popping up when you least want to see it.

Display Your Quick Launch Toolbar

  • Right-click an empty area on the taskbar, click Toolbars, and then click Quick Launch.
  • Easy as that your Quick Launch bar appears.
  • To add items to your Quick Launch toolbar, click the icon for the program you want to add, and drag it to the Quick Launch portion of the taskbar.

Keep Your Favorite Programs Near the Top of the Start Menu

Do you have a favorite program that you frequently use? Elevate its priority on the Start menu by putting it at the top of the list. This ensures that the program will remain on the Start menu and cannot be bumped by other programs, even if you use the others more frequently.

  • Right-click the link to your favorite program on the Start menu and select Pin to Start Menu. Your program will be moved permanently to the top part of the list, just below your browser and e-mail programs.

Stop Password Expiration

After you have run Windows XP for a while, you may receive this message when you log on: "Your password will expire in 14 days.....". By default, Windows XP is set up with passwords which will expire after 42 days. And 14 days in advance, Windows will start warning you of this fact.

  • Go to Start > Run > type control userpasswords2
  • Select the Advanced tab in the User Accounts window.
  • Press the Advanced button below the Advanced user management header.
  • Select Users in the Local Users and Groups.
  • In the right pane, right-click the user name for which you want to change the setting, and select Properties.
  • On the General tab, check Password never expires.
  • Click Apply and OK (all the way out).

Display Hibernate Option on the Shut Down dialog

For some reason, Hibernate isn't available from the default Shut Down dialog. But you can enable it simply enough, by holding down the shift-key while the dialog is visible. Now you see it, now you don't!

My Computer Won't Shut Down Itself After Installing XP

There are a number of users who have been complaining that their PC will no longer automatically power down/shut off without pressing the power off button on the computers unlike in Windows Me/95/2000. There could be a number of reasons for this, but the main one seems to be that ACPI is not enabled on the computer or in Windows XP:

  • Click Start > Control Panel > Performance and Maintenance > Power Options tab.
  • Then click APM > Enable Advanced Power Management Support.

Create a Password Reset Disk

Microsoft has enhanced security features in XP including the ability to create a floppy diskette to recover your password in case it is forgotten.

  • Click Start > Control Panel > User Accounts.
  • Click on the account which you want to create a password disk.
  • Click Prevent a forgotten password which starts the Forgotten Password Wizard . This is found under Related Tasks.
  • Insert a blank, formatted disk into drive A, and click Next.
  • Enter the password in the Current user account password box.

To use the recovery disk, at the Welcome screen:

  • Click the user name whose password is on the recovery disk.
  • Click the question mark button, this causes the "Did you forget your password message" to appear.
  • Click use your password reset disk. This will start the Password Reset Wizard.

From this point, just follow the wizard's instructions and you will be able to set a new password.

Modify Settings to Improve Performance

Windows XP uses processor time to handle system performance according to default settings, which can be adjusted for your computing needs. Also, settings that govern visual effects enhance the appearance of the Windows XP interface, but can slow down performance. You can fine–tune settings in Windows XP Professional to improve performance:

  • Right–click My Computer, and then click Properties.
  • Click the Advanced tab, and in the Performance area, click Settings.
  • On the Visual Effects tab, click the Custom radio button, and then select which UI features to disable to improve performance.
  • Click the Advanced tab, and in the Processor scheduling area, click the Background services radio button. Selecting this option means that background tasks that you want to run while you work, such as backup utilities or print jobs, will share processor time equally with programs.

You may need to be logged on as an Administrator to make these changes. Note that applying these settings may change your current desktop theme.

Roll Back to the Previous Version of a Driver

Have you ever installed a device driver that makes your system unstable? Well, in Windows XP you can roll back such a change if it causes you problems! To go back to the previous driver for a device:

  • Click Start > Control Panel > Performance and Maintenance > Administrative Tools.
  • Double–click Computer Management, and then click Device Manager in the left pane.
  • Right–click the device for which you'd like to roll back the drivers, and then click Properties.
  • On Driver tab of the Properties dialog box, click Roll Back Driver, and follow the wizard's instructions.

It's that simple, although you need to be an administrator or a member of the Administrators group to complete this procedure.

Create a Personal Screen Saver

For a great way to put your digital photos to work, try creating a slide show presentation for use as a screen saver.

  • Right–click an empty spot on your desktop, and then click Properties.
  • Click the Screen Saver tab.
  • In the Screen saver list, click My Pictures Slideshow.
  • Click Settings to make any adjustments, such as how often the pictures should change, what size they should be, and whether you’ll use transition effects between pictures, and then click OK.

Now your screen saver is a random display of the pictures taken from your My Pictures folder.

Disable Automatic Windows Update

Windows XP is configured out of the box to routinely scan for and download updates to Windows XP automatically. While this can be somewhat convenient for those with very fast Internet connections and those who would otherwise forget to check for updates, it can be a nuisance for the rest of us, who are still using 56k or, even worse 33k modem connections.

  • Open the System icon in Control Panel (or right-click My Computer and select Properties), and choose the Automatic Updating tab.
  • To check for updates manually, open Internet Explorer and select Windows Update from the Tools menu.

How to Perform Disk Error Checking in Windows XP

This article describes how to check the integrity of the hard disk drive in Windows XP. After you install Windows XP, the Scandisk command is not available.

  • Double-click My Computer, and then right-click the hard disk drive that you want to check.
  • Click Properties, and then click Tools.
  • Under Error-checking, click Check Now.
  • Click Start.

Creating a Boot Disk for an NTFS or FAT Partition

This article describes how to create a Windows boot disk to access a drive with a faulty boot sequence on an Intel x86-processor-based computer.

This Windows boot disk can access a drive that has the Windows NT file system (NTFS) or File allocation table (FAT) file system installed. The procedures in this article can be useful to work around the following boot problems:

  • Corrupted boot sector.
  • Corrupted master boot record (MBR).
  • Virus infections.
  • Missing or corrupt NTLDR or Ntdetect.com.
  • Incorrect Ntbootdd.sys driver.

This boot disk can also be used to boot from the shadow of a broken mirror, although you may need to change the Boot.ini file to do that. This Windows boot disk cannot be used for the following problems:

  • Incorrect or corrupt device drivers that have been installed into the Windows System directory.
  • Boot problems that occur after the OSLOADER screen.

To work around or fix these problems, run the Emergency Repair disk, load the last known good control set, or reinstall Windows, if necessary.
The Windows floppy disk must include the files NTLDR, Ntdetect.com, Boot.ini, and the correct device driver for your hard drive.

Note: The NTLDR, Ntdetect.com, and Boot.ini files usually have their file attributes set to System, Hidden, and Read-Only. You do not need to reset these attributes for this disk to work properly.

Method 1: You Do Not Have Access to a Computer Running Windows

  • Create a copy of the first Windows Setup disk using the diskcopy command, and then delete all files on the new disk.
  • Copy the Ntdetect.com and NTLDR files from the i386 folder on the CD-ROM to the new disk.
  • Rename the NTLDR file to "Setupldr.bin".
  • Create a Boot.ini file. The following example works for a single partition SCSI drive with Windows installed under \WINNT; however, the exact value in the [operating systems] section depends upon the configuration of the Windows System you want to boot:

    [boot loader]
    timeout=30
    Default= scsi(0)disk(0)rdisk(0)partition(1)\winnt

    [operating systems]
    scsi(0)disk(0)rdisk(0)partition(1)\winnt="Windows NT"
  • If your computer boots from an IDE, EIDE, or ESDI hard drive or a SCSI adapter that does not have a built in BIOS, replace the scsi(0) with multi(0).

    If you are using scsi(x) in the Boot.ini file, copy the correct device driver for the SCSI controller in use on the computer, and then rename it to Ntbootdd.sys. If you are using multi(x) in the Boot.ini, you do not need to do this.
  • Start your computer using the floppy disk, and then log on to Windows.

Method 2: You Have Access to a Computer Running Windows

  • Format a floppy disk using the Windows format utility.
  • Copy NTLDR from the Windows Setup CD-ROM, Windows Setup floppy disk, or from a computer running the same version of Windows as the computer you want to access with the boot floppy. You may need to expand this file from NTLDR._ to NTLDR by using the following command line:

    expand ntldr._ ntldr

  • Copy the Ntdetect.com file to the disk.
  • Create a Boot.ini file or copy one from a running Windows computer, and then modify it to match the computer you are trying to access. The following example works for a single partition SCSI drive with Windows installed under \WINNT; however, the exact value in the [operating systems] section depends upon the configuration of the Windows computer you are trying to access:

    [boot loader]
    timeout=30
    Default= scsi(0)disk(0)rdisk(0)partition(1)\winnt

    [operating systems]
    scsi(0)disk(0)rdisk(0)partition(1)\winnt="Windows NT"
  • If your computer starts from an IDE, EIDE, or ESDI hard drive, replace the scsi(0) with multi(0).
  • If you are using scsi(x) in the Boot.ini, copy the correct device driver for the SCSI controller in use on the computer, and then rename it to Ntbootdd.sys. If you are using multi(x) in the Boot.ini, you do not need to do this.
  • Start using the floppy disk, and then log on to Windows.

Troubleshooting
You may encounter one or more of the following problems when you attempt to start your computer using your Windows boot floppy disk:

If the path pointing to the system files is incorrect or includes the drive letter, you may receive the following error message:

Windows could not start because of the following ARC firmware boot configuration problem: Did not properly generate ARC name for HAL and system paths. Please check the Windows (TM) documentation about ARC configuration options and your hardware reference manuals for additional information. Boot Failed.

If an incorrect SCSI driver has been selected or the Ntbootdd.sys file does not exist, you may receive the following message:

Windows could not start because of a computer disk hardware configuration problem. Could not read from selected boot disk. Check boot path and disk hardware. Please check the Windows (TM) documentation about hardware disk configuration and your hardware disk configuration and your hardware reference manuals for additional information. Boot Failed.

Change the Logon Window and the Shutdown Preferences in Windows XP

Setup configures Windows XP to use the friendly Welcome logon screen and the shutdown buttons, if your computer is installed as a home computer (a computer where a network domain has not been specified).

This article describes how you can enable the classic logon screen used by Windows XP Server that resembles the following example:

Log On to Windows
User name: _____________
Password: _____________

To temporarily use the classic logon screen, press Ctrl+Alt+Del twice on the Welcome logon screen.
To configure Windows XP to use the classic logon and shutdown screens for every logon session, do the following:

  • Click Start, and then click Control Panel.
  • Double-click User Accounts.
  • Click Change the way users log on or off.
  • Click to clear the Use the Welcome screen check box.

Note: If you disable the Welcome logon screen, you also disable the Fast User Switching option.

Hard Disk Performance Is Slower Than You Expect

Symptoms
After you install Microsoft Windows XP, hard disk performance may be slower than you expect.
Note: Hard disk performance may be even slower when your computer performs many small hard disk read/write operations.

Cause
This behavior may occur in the following situation:

You use Small Computer System Interface (SCSI) hard disks in the computer.

-and-

The hard disks are formatted as NTFS.

Resolution
A supported fix is now available from Microsoft, but it is only intended to correct the problem described in this article and should be applied only to systems experiencing this specific problem. This fix may receive additional testing at a later time, to further ensure product quality. Therefore, if you are not severely affected by this problem, Microsoft recommends that you wait for the next Windows XP service pack that contains this fix.

To resolve this problem immediately, contact Microsoft Product Support Services to obtain the fix. For a complete list of Microsoft Product Support Services phone numbers and information about support costs, please go to the following address on the World Wide Web:

http://support.microsoft.com/default.aspx?scid=fh;EN-US;CNTACTMS

Note: In special cases, charges that are normally incurred for support calls may be canceled, if a Microsoft Support Professional determines that a specific update will resolve your problem. Normal support costs will apply to additional support questions and issues that do not qualify for the specific update in question.

Compress Files and Folders in Windows XP

Running out of room on your hard disk? Need some extra space to install a new program? Don't worry, Windows XP comes to the rescue. Both Windows XP Professional and Home Edition now include a zip compression utility that you can use to compress files and folders on your hard disk.

  • Right–click the file or folder.
  • Point to Send To.
  • Then click Compressed (zipped) Folder.

This will make a compressed folder, identified by a zipper icon, which displays the same name as the file you compressed. You can also make a compressed folder from scratch, by following these steps:

  • Right–click the Desktop.
  • Point to New.
  • Click Compressed (zipped) Folder.

Enable Services to Work Through Internet Connection Firewall

When people are having trouble getting to specific programs or services on your Windows XP machine after you enable Internet Connection Firewall (ICF), you may need to enable the program or service to work through the firewall.

  • Click Control Panel > Network and Internet Connections > Network Connections.
  • Right-click your Internet connection, and then click Properties.
  • Click the Advanced tab in the Properties dialog box.
  • Click Settings, and the Advanced Settings dialog box opens.

From there you can enable most common services just by clicking them, or add your own by clicking the Add button.

Getting an Older Program to Run on Windows XP

If an older application gives you trouble when running Windows XP, you can set the compatibility properties manually so that the program runs in a different mode, such as Windows 95, or in a different display or resolution setting.

  • Right–click the executable or the program shortcut to the executable, and then click Properties.
  • Select the Run this program in compatibility mode check box.
  • From the list, select an operating system that the program runs in comfortably.
  • If necessary, also change the display settings and/or resolution, or disable the Windows XP visual themes.

Run the program again when you’re finished changing the settings. Adjust the compatibility settings again if the program is still not running smoothly: a program that’s unhappy on Windows 2000 may flourish on Windows 98.

Fix Movie Interference in AVI Files

If you have any AVI files that you saved in Windows 9x, which have interference when opened in Windows XP, there is an easy fix to get rid of the interference:

  • Open Windows Movie Maker.
  • Click View and then click Options.
  • Click in the box to remove the check mark beside Automatically create clips.
  • Now, import the movie file that has interference and drag it onto the timeline. Then save the movie, and during the rerendering, the interference will be removed.

One-Click Shutdown

If you have Clean Sweep Deluxe, you should disable it before proceeding. Follow these directions to create a one-click shutdown shortcut:

  • Navigate to your Desktop.
  • On the Desktop, right-click and go to New, then to Shortcut (in other words, create a new shortcut).
  • You should now see a pop-up window instructing you to enter a command line path.
    Enter one of these as the path:     SHUTDOWN -s -t 01
  • If the C: drive is not your local hard drive, then replace "C" with the correct letter of the hard drive.
  • Click the "Next" button.
  • Name the shortcut and click the "Finish" button.

Now whenever you want to shut down, just click on this shortcut and you're done. Also, if you want to make life better and faster, you can right-click the new shortcut you just made, go to Properties, and type in X (or whatever letter) in the Shortcut Key box.

Move the Paging File in Windows XP

This article describes how to change the location of the paging file in Windows XP.

The paging file is the area on the hard disk that Windows uses as if it were random access memory (RAM) This is sometimes known as "virtual memory." By default, Windows stores this file on the same partition as the Windows system files. You can increase the performance of Windows, and increase free space on the boot partition, by moving this file to a different partition.

  • Log on to the computer as Administrator.
  • Click Start, and then click Control Panel.
  • Click Performance and Maintenance, and then click System.
  • Click the Advanced tab, and then under Performance, click Settings.
  • Click the Advanced tab, and then under Virtual memory, click Change.
  • In the Drive [Volume Label] list, click a drive other than the one on which Windows is installed (Windows is usually installed on the drive C). Under Total paging file size for all drives, note the value that is displayed next to Recommended.
  • Click Custom size, and then type the recommended value in the Initial size (MB) box.
    Type the maximum size that you want to allow for paging in the Maximum size (MB) box, and then click Set.
  • In the Drive [Volume Label] box, click the drive on which Windows is installed (usually the drive C), and then use one of the following steps:
  • If you do not want a paging file on the drive, click No paging file, and then click Set. A message similar to the following message appears:

If the pagefile on volume C: has an initial size of less than 126 megabytes, then the system may not be able to create a debugging information file if a STOP error occurs.

Continue anyway?

  • Click Yes.
  • If you want to keep the minimum size of the paging file on the drive, click Custom size, and then type a value that is equal to or greater than the amount of RAM in the computer in the Initial size (MB) box. Type that same value in the Maximum size (MB) box, and then click Set.
    The following message appears:

The changes you have made require you to restart your computer before they can take effect.

  • Click OK, click OK, click OK.
  • Then click Yes when you are prompted to restart the computer.

Disable Error Reporting

You can get rid of the Windows XP error report messages if you don't want to send another one in.

  • Click Start, and then click Run.
  • Type msconfig to open the System Configuration Utility.
  • Click the Services tab.
  • Clear the Error Reporting Service check box, and then click OK.
  • Hit Restart to reboot your system.

Your computer will now start without loading the error reporting service.

Use Backup to Back Up Files and Folders on Your Computer in Windows XP

This article describes how to use Backup Utility for Windows (included with Windows XP) to back up files and folders on your computer.

The Backup tool in Windows XP helps you protect your data in case your hard disk fails or files are accidentally erased. By using Backup, you can create a duplicate copy of all of the data on your hard disk and then archive it on another storage device, such as a hard disk or a tape.

If the original data on your hard disk is accidentally erased or overwritten, or becomes inaccessible because of a hard-disk malfunction, you can easily restore the data from the disk or archived copy by using the Restore Wizard or Automated System Recovery Wizard.

Note: You must have permissions as an administrator or a backup operator on your computer to back up files and folders. Also, backup operators and administrators can back up and restore encrypted files and folders without decrypting the files or folders.

  • Click Start > All Programs > Accessories > System Tools > Backup. The Backup or Restore Wizard starts.
  • Click Advanced Mode.
  • Click the Backup tab.
  • On the Job menu, click New.
  • Select the check boxes for the drives that you want to back up. If you want to be more specific in your selections, expand the drive that you want, and then click the check boxes for the files or folders that you want.
  • Select the System State check box.

    Note: If you want to back up your system settings as well as your data files, you should back up all the data on your computer plus the System State data, which includes such things as the registry, the COM+ class registration database, files under Windows File Protection, and boot files.
  • In the Backup destination list, click the backup destination that you want to use.
  • If you clicked File in the previous step, type the full path and file name that you want in the Backup media or file name box. Note that you can also specify a network share as a destination for the backup file.
  • Click Start Backup. The Backup Job Information dialog box appears.
    Under If the media already contains backups, use one of the following steps:
  • If you want to append this backup to previous backups, click Append this backup to the media.
    If you want to overwrite previous backups with this backup, click Replace the data on the media with this backup.
  • Click Advanced.
  • Select the Verify data after backup check box.
  • In the Backup Type box, click the type of backup that you want. When you click a backup type, a description of that backup type is displayed under "Description."
  • Click OK, and then click Start Backup. A Backup Progress dialog box appears, and the backup starts.
  • When the backup is complete, click Close.

Use Backup to Restore Files and Folders on Your Computer in Windows XP

This article is a step-by-step guide to using the Backup program in Windows XP to restore files and folders on your computer.

The Backup utility in Windows XP helps you protect your data in case your hard disk fails or files are accidentally erased. By using Backup, you can create a duplicate copy of all of the data on your hard disk and then archive it on another storage device, such as a hard disk or a tape.

If the original data on your hard disk is accidentally erased or overwritten, or becomes inaccessible because of a hard-disk malfunction, you can easily restore it from the disk or archived copy by using the Restore Wizard or Automated System Recovery Wizard.

Note: You must have permissions as an administrator or a backup operator on your computer to restore files and folders. Also, backup operators and administrators can back up and restore encrypted files and folders without decrypting the files or folders.

  • Click Start > All Programs > Accessories > System Tools > Backup. The Backup or Restore Wizard starts.
  • Click Advanced Mode.
  • Click the Restore and Manage Media tab.

If you want to restore from a backup file:

  • Expand File, and then expand the backup file that you want. For example, expand Backup.bkf created 01/01/2002 at 1:15 PM. Backup includes the date and time of the backup as part of the file name by default.

If you want to restore from a tape backup:

  • Expand the tape device that you want (for example, Travan), and then expand the media name that you want. For example, expand Media created 01/01/2002 1:15 PM.

Select the check boxes for the folders that you want to restore. If you want to be more specific in your selections, double-click the folder that you want, and then select the check boxes for the files or folders that you want to restore.

If you are restoring the entire operating system, select the System State check box.

Note: If you want to restore the operating system as well as your data files, you should restore the System State data, which includes such things as the registry, the COM+ class registration database, files under Windows File Protection, and boot files.

In the Restore files to box, use one of the following steps:

  • Click Original location if you want to restore the files to the location from which you backed them up. Use this selection when you restore the entire computer.
  • Click Alternate location if you want to restore a file or files to another location on the hard disk. Type the location that you want in the Alternate location box. Use this selection to prevent the restore operation from overwriting existing files on your computer.
  • Click Single folder if you want to restore a file or files to a single folder on the hard disk. Type the location that you want in the Alternate location box. Use this selection to separate the restored files or folders from the rest of the files on the hard disk.
  • On the Tools menu, click Options.
  • Click the method that you want Backup to use when it restores a file that is already on the computer, and then click OK. Backup uses this selection to determine whether to overwrite an existing file only when it restores a file in a folder that contains the existing file.

    Note: If you are restoring the operating system, click Always replace the file on my computer.
  • Click Start Restore.
  • If the following message appears, click OK if you want to restore the System State information with the selected backup:

Warning!
Restoring System State will always overwrite current System State unless restoring to an alternate location.

  • In the Confirm Restore prompt that appears, click OK. A Restore Progress dialog box appears, and the restore operation starts.
  • When the restore process is complete, click Close.
  • If you are prompted to restart the computer, click Yes.

Schedule Tasks in Windows XP

With Scheduled Tasks, you can schedule any script, program, or document to run at a time that is most convenient for you. Scheduled Tasks starts every time that you start Windows XP and runs in the background, and it starts each task that you schedule at the time that you specify when you create the task.

 To open Scheduled Tasks:

  • Click Start > All Programs > Accessories > System Tools > Scheduled Tasks.

To schedule a new task:

  • Double-click Add Scheduled Task to start the Scheduled Task Wizard, and then click Next in the first dialog box.

The next dialog box displays a list of programs that are installed on your computer, either as part of the Windows XP operating system, or as a result of software installation.

Use one of the following procedures:

If the program that you want to run is listed, click the program, and then click Next.
If you want to run a program, script, or document that is not listed, click Browse, click the folder and file that you want to schedule, and then click Open.

Type a name for the task, and then choose one of the following options:

  • Daily
  • Weekly
  • Monthly
  • One time only
  • When my computer starts (before a user logs on)
  • When I log on (only after the current user logs on)
  • Click Next, specify the information about the day and time to run the task, and then click Next.

    Note that the information about the day and time to run the task vary depending on the selection that you made in the previous wizard dialog box. For example, if you chose Weekly, you must indicate the day of the week, the time, and if the task should run every week, every 2 weeks, every 3 weeks, and so on.
  • Type the name and password of the user who is associated with this task. Make sure that you choose a user with sufficient permissions to run the program. By default, the wizard selects the name of the user who is currently logged on.
  • Click Next, and then click Finish after you verify the choices that you have made.

Using Advanced Options in Scheduled Tasks

If you want to change the configuration of the task:

  • Click Open in the Advanced properties for the task before you click Finish. After you click Finish, the Properties dialog box opens for the task.
  • On the Schedule tab, you can change any of the scheduling options that you chose in the wizard, and you can also change the task configuration so that the task does not run too long, does not run if the computer is running on batteries (for laptops), and to specify whether or not the computer should be idle for the task to run.

    Note: You can open the Properties dialog box for the task at any time if you open Scheduled Tasks, right-click the task, and then click Properties.

    You cannot schedule a task so that it repeats in an interval less than one day; however, you can do this in the Properties dialog box:
    Click the Schedule tab, and then click Advanced.
  • Click to select the Repeat task check box, and then specify the number of minutes or hours in which you want the task to be repeated.

Obtain Remote Assistance by Sending an E-mail Message in Windows XP

This article describes how to obtain help by using the Remote Assistance feature in Microsoft Windows XP.

Remote Assistance allows a remote connection to your computer that can be used to view your computer screen, participate in real-time chat and, with your permission, remotely control your computer.

Note: The following requirements must be met before you can use Remote Assistance:

  • Both the local and the remote computer must be using either Windows Messenger or a Messaging Application Programming Interface (MAPI)-compliant e-mail program such as Microsoft Outlook or Outlook Express.
  • Both computers must be connected to the Internet while using Remote Assistance.

Note: If your computer is behind a firewall, you may need to reconfigure the firewall to allow Remote Assistance. Contact your network administrator before using Remote Assistance.

  • Click Start > Help and Support. The Help and Support Center dialog box appears.
  • Under Ask for assistance, click Invite a friend to connect to your computer with Remote Assistance. The Remote Assistance pane appears.
  • Under Remote Assistance, click Invite someone to help you.
  • Under or use e-mail, type your assistant's e-mail address in the Type an e-mail address box, and then click Invite this person.
    Note: Click Address Book if you want to select a contact from the address book.
    The Remote Assistance - E-mail an Invitation page appears.
  • In the From box, type the name or identification that you want.
  • In the Message box, type the message that you want, and then click Continue.
  • Under Set the invitation to expire, select the duration that you want to allow the invitation for assistance.
    Click to clear the Require the recipient to use a password check box if you do not want to password-protect the remote connection.
    Note: Using a password is recommended.
  • If you protect this connection with a password, type the password that you want your assistant to use in the Type password box. Retype that password in the Confirm password box, and then click Send Invitation. The invitation is sent using your e-mail program. You receive the following message:

Your invitation has been sent successfully. Note: You must communicate this password to the remote assistant in order for the Remote Assistance session to be created.

  • When your remote assistant accepts your invitation, you receive the following message

Assistant has accepted your Remote Assistance invitation and is ready to
connect to your computer.

Do you want to let this person view your screen and chat with you? where Assistant is the name of the remote assistant.

  • Click Yes.
    The Remote Assistance dialog box appears. The remote assistant can view your computer screen and chat with you in real time.
  • If the remote assistant wants to remotely control the computer, you receive the following message:

Assistant would like to share control of your computer to help solve the problem.
Do you wish to let Assistant share control of your computer? (where Assistant is the name of the remote assistant).

  • To accept, click Yes.

The remote assistant can now control your computer remotely. This includes the ability to shut down the computer.
Note: Do not use the mouse while the remote assistant controls the computer.

Remote Assistance Features
Use the following features of the Remote Assistance dialog box to participate in the remote assistance session:

The Connection Status box displays the following information:
  • The name of the assistant.
  • Whether you are connected or disconnected.
  • The assistant's privileges during this session. For example, Screen View Only.
  • The Stop Control (ESC) button.

Press the ESCAPE key to stop the computer from being remotely controlled. When you press ESCAPE, you receive the following message:

User name or Assistant has stopped remote control by pressing the ESC key, or a key sequence or combination including the ESC key where User name is the name of the logged on user, and where Assistant is the name of the remote assistant.

The Send a File button.
Use this button to initiate file transfers between the local and remote computer.

The Start Talking button.
Use this button to initiate voice chat with the remote assistant.

The Settings button.
Use this button to adjust quality settings according to the connection speed that you have.

The Disconnect button.
Use this button to terminate the Remote Assistance session.

The Help button.
Provides Remote Assistance help.

The Message Entry box.
Use this box to type messages to the remote assistant in real time. Click the Send button, or press ENTER to send the message.

The Chat History window.
This window records the text messages typed by you and the remote assistant.

Troubleshooting
The ability to control your computer remotely is disabled by default.
When the remote assistant attempts to remotely control the computer, the following message appears:

Remote Control of this computer is not allowed. To configure the computer for remote control, follow these steps.
Note: You must be a member of the local Administrators group to perform these steps.

  • Click Start > Control Panel.
  • Under Pick a category, click Performance and Maintenance.
  • Under or pick a Control Panel icon, click System.
  • The System Properties dialog box appears.
  • On the Remote tab, click to select the Advanced button under Remote Assistance.
  • Under Remote control, click the Allow this computer to be controlled remotely check box, and then click OK.
  • In the System Properties dialog box, click OK.

Remote Control is now enabled. Note that you must still expressly permit the remote control of your computer in each Remote Assistance session.

The computer appears to stop responding
When you use Remote Assistance over a dial-up connection, the computer may appear to stop responding (hang) or may respond slowly. This behavior may be caused by the slow speed of the Internet connection. For best results, use Remote Assistance over a high-speed Internet connection.

Remote Assistance allows access to sensitive data
The remote assistant can see as well as, with your permission, gain access to the information on your computer. For this reason, invite only trusted sources to remotely assist you.

More Information
Use Remote Assistance to view and edit your Remote Assistance invitations. To do this, follow these steps:

  • Click Start > Help and Support.
  • The Help and Support Center dialog box appears.
  • Under Ask for assistance, click Invite a friend to connect to your computer with Remote Assistance.
  • The Remote Assistance pane appears.
  • Under Remote Assistance, click View invitation status. A table similar to the following appears:
Sent To | Expiration Time | Status
User_name@microsoft.com | Tuesday, August 28, 2001 10:37:47 AM | Open
User_name@hotmail.com | Monday, August 27, 2001 8:35:05 PM | Expired
Assistant@mycompany.com | Monday, August 27, 2001 1:51:02 PM | Expired
  • Select the invitation that you want, and use the following buttons to change or view the status of that invitation:

Details
Use this button to view the Invitation Details page for this invitation. When you are finished, click Close.

Expire
Use this button to rescind the invitation. The remote assistant can no longer use this invitation to connect to your computer.

Resend
Use this button to resend an e-mail-based invitation to the selected contact.

Delete
Use this button to remove the invitation from the View or change your invitation page.

Obtain Remote Assistance Using Windows Messenger in Windows XP

This step-by-step article describes how to use Windows Messenger to obtain help using the Remote Assistance feature in Windows XP. Remote Assistance enables you to allow another user to make a remote connection to your computer, which they can use to view your computer screen, participate in real-time chat and, with your permission, remotely control your computer.

Requirements
Both the local and the remote computer must be using either Windows Messenger or a Messaging Application Programming Interface (MAPI)-compliant e-mail program such as Microsoft Outlook or Outlook Express. Both computers must be connected to the Internet while using Remote Assistance.

Note: If your computer is behind a firewall, you may need to reconfigure the firewall to allow Remote Assistance. Contact your network administrator before using Remote Assistance.

To obtain help using Remote Assistance:

  • Connect to the Internet, and then sign in to Windows Messenger.
  • Click Start, and then click Help and Support.
  • Under Ask for assistance, click Invite a friend to connect to your computer with Remote Assistance.
  • Under Remote Assistance, click Invite someone to help you.
  • Under Use Windows Messenger, click the contact that you want to invite, and then click Invite this person.
    Note: The contact that you want to invite must be online.
    You receive the following message, where Assistant is the name of the assistant that you invited:

Inviting Assistant to connect to your computer. Please wait for a response...
Invitation is accepted...

  • After the remote assistant accepts your invitation, click Yes when you receive the following message:

Assistant has accepted your Remote Assistance invitation and is ready to
connect to your computer.

Do you want to let this person view your screen and chat with you?

  • If the remote assistant wants to remotely control the computer, click Yes to accept the request when you receive the following message, where Assistant is the name of the remote assistant:

Assistant would like to share control of your computer to help solve the problem.

Do you wish to let Assistant share control of your computer? The remote assistant can now control your computer remotely. This includes the ability to shut down the computer.

Note: Do not use the mouse while the remote assistant controls the computer.

Cannot Use MSN EXPLORER or AOL To Send a Remote Assistance Invitation via Email Option

When you use Remote Assistance to invite someone to help you and try to choose the option to use e-mail, you might see the following message when you get to the available options page:

Outlook Express is not set up.
Remote Assistance is either incompatible with the default e-mail program on this computer, or could not detect a default e-mail account.

You will also see an option to set up Outlook Express.

Cause
You have MSN Explorer or America Online (AOL) installed and configured as you default e-mail client. Remote Assistance on Windows XP will not allow to send the activation mail message through the MSN Explorer or AOL messaging system, as they use their own e-mail clients and they are not MAPI-compliant. Remote Assistance Invitation e-mail escalation will only work with MAPI-compliant e-mail programs and e-mail accounts.

Resolution
As a workaround, you could use one of the following options based on how you access your e-mail.

MSN Explorer
Use Windows Messenger to invite someone to Start Remote Assistance. In order to do that, follow the instructions on the Help and Support Center, Remote Assistance page, under the Use Windows Messenger field.

-or-

Choose the option to Save invitation as a file, then use MSN Explorer to compose the e-mail to the person you are requesting assistance from, and attach the file to it.

America Online
Choose the option to Save invitation as a file, then use AOL to compose the email to the person you are requesting assistance from, and attach the file to it.

MAPI-compliant E-mail application
If you have a MAPI-compliant e-mail application installed on your computer, and your Internet Service Provider (ISP) uses POP3, IMAP, HTTP or SMTP mail servers, then configure the software based on the manufacturer's and/or your ISP's instructions.

Note: You can also click on the button Set Up Outlook Express on the Remote Assistance available options page and configure it to send and receive email with your mail servers settings, if available.

Restore the Operating System to a Previous State in Windows XP

This article describes how to use the System Restore tool to return your computer to a previous working state. System Restore takes a "snapshot" of critical system files and some program files and stores this information as restore points. You can use these restore points to return Windows XP to a previous state.

If Windows XP Does Not Start
If Windows does not start, restart Windows by using the Last Known Good Configuration feature:

  • Start the computer and then press the F8 key when Windows begins to start. The Windows Advanced Options menu appears.
  • Use the ARROW keys to select Last Known Good Configuration (your most recent settings that worked), and then press ENTER.

If a boot menu appears, use the ARROW keys to select Microsoft Windows XP, and then press ENTER. Windows XP restores the computer to the most recent restore point.

If Windows XP Does Start

  • Log on to Windows as Administrator.
  • Click Start > All Programs > Accessories > System Tools > System Restore. System Restore starts.
  • On the Welcome to System Restore page, click Restore my computer to an earlier time (if it is not already selected), and then click Next.
  • On the Select a Restore Point page, click the most recent system checkpoint in the On this list, click a restore point list, and then click Next. A System Restore message may appear that lists configuration changes that System Restore will make.
  • Click OK.
  • On the Confirm Restore Point Selection page, click Next. System Restore restores the previous Windows XP configuration, and then restarts the computer.
  • Log on to the computer as Administrator. The System Restore Restoration Complete page appears.
  • Click OK.

Troubleshooting
You may inadvertently restore Windows XP to a previous configuration that you do not want.

To undo the restoration:

  • Log on to Windows as Administrator.
  • Click Start > All Programs > Accessories > System Tools > System Restore. System Restore starts.
  • On the Welcome to System Restore page, click Undo my last restoration, and then click Next. A System Restore message may appear that lists configuration changes that System Restore will make.
  • Click OK.
  • On the Confirm Restoration Undo page, click Next. System Restore restores the original Windows XP configuration, and then restarts the computer.
  • Log on to the computer as Administrator. The System Restore Undo Complete page appears.
  • Click OK.

Long Pause During Windows Startup Process

Symptoms
After you choose to start Windows from the Boot menu, you may experience a long delay (or pause) before your computer finishes starting. Note that this delay may range from 10 seconds to a minute. Also, this delay occurs before the Starting Windows progress bar appears, and your computer may appear to stop responding (hang) during this time.

Cause
This behavior can occur if Windows is installed on a drive or a partition to which Windows cannot gain access with normal Basic Input/Output System (BIOS) INT-13 or INT-13 extension calls. When Windows Setup determines it cannot use BIOS calls to start, it uses scsi() or signature() syntax in the Boot.ini file instead of multi() syntax.

When booting a system that requires scsi() or signature() syntax, Ntldr loads an additional device driver (Ntbootdd.sys) to initialize and interrogate the boot controllers in your computer. Ntldr then seeks the associated boot drive attached to the controller to finish loading the kernel. These additional operations take more time in Windows because of the Plug and Play nature of the operating system.

This behavior is expected, however, Windows Setup may use scsi() or signature() syntax, even if your computer can boot using the normal BIOS calls. This may occur on Integrated Drive Electronics-based computers when using a large capacity boot drive. In this case, you can try adding an additional entry in the Boot.ini file and use multi() syntax on the new entry to boot from. Note that if this works, your computer starts without pausing.

How to Rename Multiple Files with Windows Explorer

  • Click Start > All Programs > Accessories > Windows Explorer.
  • Press and hold down the Ctrl-key while you are clicking files.
  • After you select the files, press F2.
  • Type the new name, and then press ENTER.

Note: When you complete the preceding steps, the highlighted state of all files except one disappears, so it may appear as if you are only renaming one file. However, after you press ENTER, all of the files are renamed. When you rename multiple files, all of the renamed files have the same name with a number in parentheses appended to the name to make the new file name unique. For example, if you type BUDGET as the new name, the first file is named BUDGET. All of the remaining selected files are named BUDGET(x), where x is a unique number, starting with (1).
Notes
If you make a mistake when you try to rename multiple files, you can press Ctrl+Z, or click Undo Rename on the Edit menu to undo file rename action you just completed, and you can repeat this process as needed.

The Rename function in Windows Explorer does not match the behavior of the REN command you may use at a command prompt. For example, if you had files that are named smitha.doc, smithb.doc, and smithc.doc, you could use the ren smoth*.doc smythe*.doc command. All file names automatically show the new spelling, and are renamed smythea.doc, smytheb.doc, and smythec.doc.

If you use the Windows XP Rename function in Windows Explorer, after you select the three "smith" files, and rename smitha.doc to smythea.doc, all the other files you selected are named smythea(x).doc. To return to the original file name structure (the use of a, b, c, etc), you must rename each file individually.

Restore Icons That Have Been Removed from the Desktop in Windows XP

This article describes how to restore the My Computer, My Documents, and My Network Places icons after they have been removed from the desktop.

In Microsoft Windows XP Home Edition and Professional, the new Start menu is enabled by default. When the new Start menu is enabled, the My Computer, My Documents, and My Network Places icons are removed from the desktop.

  • Right-click the Desktop and click Properties.
  • Click the Desktop tab.
  • Click Customize Desktop.
  • Click the General tab, and then click the icons that you want to place on the desktop.
  • Click OK.

Automatically Log On a User Account in Windows XP

This article describes how to automatically log on a user account during the Windows startup process.

Note: This process only works if the computer is not joined to a domain.

Requirements

  • The Welcome screen must be available.
  • Guest account access must be turned off.
  • There must be only one user account on the computer.
  • The user account must not have a password.

Make the Welcome Screen Available
To make the Welcome screen available:

  • Click Start > Control Panel > User Accounts.
  • Click Change the way users log on or off.
  • Click to select the Use the Welcome screen for fast and easy logon check box.
  • Click OK.

Turn Of Guest Account Access
To turn off Guest account access:

  • Click Start > Control Panel > User Accounts.
  • Click the Guest account.
  • Click Turn off Guest access.

Remove the Password from a User Account
To remove the password from a user account:

  • Click Start > Control Panel > User Accounts.
  • Click the user account.
  • Click Remove my password.
  • Type the password in the Type your current password box, and then click Remove Password.

View the Storage Devices That Are Displayed As "USB SCSI Storage Device" in Windows XP

USB devices that are using an SCSI-to-USB adapter are displayed as "USB SCSI Storage Device" in the Safely Remove Hardware icon in the taskbar. Finding which device you want to remove may be confusing if your computer has more than one of these devices.

  • Open the Safely Remove Hardware dialog box, and then click to select the Display Device Components box.

How to Quickly Lock Your Computer and Use Other Windows Logo Shortcut Keys

This article describes how to quickly lock your computer as well as the other Windows logo shortcut keys that you can use.

Windows XP includes a new Microsoft Natural Keyboard shortcut to lock your computer. Any other compatible keyboard that includes the Windows logo key and the Application key can also perform this task.

 To use this shortcut:

  • Press the Windows logo key + L.

The following list has different computer lock-up scenarios that are available to you, as well as other ways to lock the computer:

Fast User Switching Enabled
 If the Fast User Switching feature is enabled and you lock the computer, you can observe the same behavior as if you switched users: The computer returns to the Welcome screen and other users can log on to the computer.

Fast User Switching Disabled
 If the Fast User Switching feature is disabled and you lock the computer, the Unlock Computer dialog box is displayed that requires the current logged-on user to enter a password to unlock the computer.

Welcome Screen Enabled
 If the Welcome screen is enabled, the computer can also be locked if you press Ctrl+Alt+Del (to open Task Manager), and then click Lock Computer or click Switch User on the Shut Down menu.

Note: The ability to observe "Lock Computer" or "Switch User" on the Shut Down menu is dependent upon whether or not the Fast User Switching feature is enabled.

Welcome Screen Disabled
 If the Welcome screen is disabled, you can lock the computer if you press Ctrl+Alt+Del, and then click Lock Computer in the Windows Security dialog box.

In all of the preceding scenarios, the "Windows logo key + L" shortcut can lock the computer. If you do not have a password that is set for your user account, anyone can unlock your computer. To set a password for your user account: In Control Panel, double-click User accounts, select your user account, and then click Create a password.

Prevent a User From Running or Stopping a Scheduled Process in Windows XP

This step-by-step article describes how to prevent a user from running or stopping a scheduled process in Windows XP.

There are occasions where is not advisable to run a scheduled process before the intended date and time, or when an administrator doesn't want a user to add new scheduled processes to the computer. You can use the following procedures to enable maximum control over what can be done with the Scheduler service.

  • Click Start > Run, type mmc, and then click OK.
  • On the File menu, click Add/Remove Snap-in. On the Standalone tab, click Add.
  • In the Available Standalone Snap-ins list, click Group Policy, and then click Add.
    In the Select Group Policy object box, click Local Computer to edit the local Group Policy object, or click Browse to find the Group Policy object that you want.
  • Click Finish, click Close, and then click OK. The Group Policy snap-in opens the Group Policy object for editing.
  • Expand either the User Configuration or Computer Configuration branch, and then expand Administrative Templates, Windows Components, Task Scheduler.
  • Double-click Prevent Task Run or End, click Enabled, and then click OK.

Use ClearType to Enhance Screen Fonts in Windows XP

This step-by-step article describes how to enable ClearType to sharpen fonts on your Windows XP display. ClearType enhances your display by smoothing the edges of screen fonts. ClearType works especially well on Liquid Crystal Display (LCD) devices, including flat screen monitors and laptop computers.

  • Click Start > Control Panel > Appearance and Themes > Display.
  • On the Appearance tab, click Effects.
  • Click to select the Use the following method to smooth edges of screen fonts check box, and then click ClearType in the list.

How to Customize ClearType

You can adjust the contrast setting for ClearType for your personal preference. Although there are no tools or settings in Windows XP for doing this, the following Microsoft Web site includes tools to turn ClearType on or off, and to adjust the contrast:

http://www.microsoft.com/typography/cleartype/cleartypeactivate.htm back to the top

Display Appears Blurry
ClearType is designed to enhance LCD displays. ClearType may appear slightly blurry on standard desktop monitors and on some LCD displays. You may be able to improve this by customizing ClearType as described in the "How to Customize ClearType" section of this article.

In rare cases, perceived blurriness is caused by a manufacturing anomaly on LCD displays in which the normal striping of red-green-blue is reversed with blue-green-red. Currently, there is no support in Windows XP ClearType to compensate for this anomaly. This could be the problem in cases in which none of the ClearType contrast settings look good on a particular LCD display. In those cases, it may be best to turn off ClearType.

Color Setting Must Support ClearType
To use ClearType, you must have a video adapter and monitor that support a color setting of at least 256 colors. Best results are achieved with High color (24-bit) or Highest color (32-bit) support.

To change the color quality:

  • Click Start > Control Panel > Appearance and Themes > Display.
  • On the Settings tab, in the Color quality list, click a different color setting.

How to Change the Length of Time That Your Computer Is Inactive Before Your Status Becomes "Away"

This article describes the "Away" status in Windows Messenger. This article also describes how to change the length of time that elapses before your individual status appears as "Away" in Windows Messenger.

The "Away" status appears automatically after your computer has been inactive for a period of time that is equal to the Wait time for your screen saver.

To manually specify "Away" as a status:

  • Click File, click My Status, and then click Away.

To change the length of inactive time before your status becomes "Away,":

  • Either change the screen saver Wait setting in the Windows Display Properties dialog box.
  • or, if you want to specify a time other than the screen saver Wait time, change the inactivity time in the Windows Messenger Options dialog box.

To change the Windows screen saver Wait setting:

  • Right-click the Windows Desktop, and then click Properties.
  • Click the Screen Saver tab, and then type the appropriate number of minutes in the Wait box. (You must have a screen saver selected.)
  • Click Apply.

The screen saver Wait time automatically appears in the Windows Messenger Options dialog box as the default "Away" status wait time.

To select an "Away" status wait time that is different from your screen saver Wait time:

  • In Windows Messenger, on the Tools menu, click Options.
  • Click the Preferences tab.
  • In the Show me as "Away" when I'm inactive for box, type the number of minutes. This number overrides the screen saver setting and is the time that elapses before Away appears next to your name on the list.

Set Performance Options in Windows XP

Windows allocates resources according to its settings and manages devices accordingly. You can use the System tool in Control Panel to change performance options that control how programs use memory, including paging file size, or environment variables that tell your computer where to find some types of information.

This article explains how to set the performance options for your computer.

Managing Processor Time
System processing is managed by Windows, which can allocate tasks between processors, as well as manage multiple processes on a single processor. However, you can set Windows to allocate more processor time to the program that you are currently running. This can result in faster program response time. Or, if you have background programs such as printing or disk backup that you want to run while you work, you can have Windows share processor resources equally between background and foreground programs.

Note: You must be logged on as an administrator to the local computer or have appropriate network privileges to make certain changes in System.

To Change the Performance of Foreground and Background Programs

  • Click Start, click Control Panel, click Performance and Maintenance, and then click System.
  • Click the Advanced tab, and then click Settings under Performance.
  • Click the Advanced tab, and then do one of the following under Processor scheduling:
  • Click Programs to assign more processor resources to the foreground program than the background program.
  • Click Background services to assign equal amounts of processor resources to all programs.

If you click Programs, the result is a smoother, faster response time for your foreground program. If you want a background task, such as a Backup utility, to run faster, click Background services.

The Programs option allocates short, variable time slices, or quanta, to running programs, and the Background services option assigns long, fixed quanta.

To Manage Computer Memory
When your computer is running low on RAM and more is needed immediately, Windows uses hard drive space to simulate system RAM. This is known as virtual memory, and is often called the paging file. This is similar to the UNIX swapfile. The default size of the virtual memory paging file (named pagefile.sys) created during installation is 1.5 times the amount of RAM on your computer.

You can optimize virtual memory use by dividing the space between multiple drives and removing it from slow or heavily accessed drives. To best optimize your virtual memory space, divide it among as many physical hard drives as possible. When you select drives, keep the following guidelines in mind:

Try to avoid having a paging file on the same drive as the system files.

Avoid putting a paging file on a fault-tolerant drive, such as a mirrored volume or a RAID-5 volume. Paging files do not need fault-tolerance, and some fault-tolerant systems suffer from slow data writes because they write data to multiple locations.

Do not place multiple paging files on different partitions on the same physical disk drive.

To Change the Size of the Virtual Memory Paging File
You must be logged on as an administrator or a member of the Administrators group in order to complete this procedure. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.

  • Click Start, click Control Panel, click Performance and Maintenance, and then click System.
  • Click the Advanced tab, and then click Settings under Performance.
  • Click the Advanced tab, and then click Change under Virtual memory.
  • Under Drive [Volume Label], click the drive that contains the paging file you want to change.
    Under Paging file size for selected drive, click Custom size, type a new paging file size in megabytes (MB) in the Initial size (MB) or Maximum size (MB) box, and then click Set.

If you decrease the size of either the initial or maximum paging file settings, you must restart your computer to see the effects of those changes. When you increase the paging file size, you typically do not need to restart your computer.

To have Windows choose the best paging file size, click System managed size. The recommended minimum size is equivalent to 1.5 times the amount of RAM on your system, and 3 times that figure for the maximum size. Example, if you have 256 MB of RAM, the minimum size would be 384, the maximum size would be 1152.

For best performance, do not set the initial size to less than the minimum recommended size under Total paging file size for all drives. The recommended size is equivalent to 1.5 times the amount of RAM on your system. Usually, you should leave the paging file at its recommended size, although you might increase its size if you routinely use programs that require a lot of memory.

To delete a paging file:

  • Set both initial size and maximum size to zero, or click No paging file. Microsoft strongly recommends that you do not disable or delete the paging file.

To Optimize Memory Usage
You can choose to optimize your computer's memory usage. If you use your computer primarily as a workstation, rather than as a server, you can have more memory devoted to your programs. Your programs will work faster and your system cache size will be the default size that came with Windows XP. You can also specify to set aside more computer memory for a larger system cache, if your computer is used primarily as a server, or if you use programs that require a larger cache.

  • Click Start, click Control Panel, click Performance and Maintenance, and then click System.
  • Click the Advanced tab, and then click Settings under Performance.
  • Click the Advanced tab, and then do one of the following under Memory usage:
  • Click Programs if you use your computer primarily as a workstation, rather than as a server, to have more memory devoted to your programs.
  • Click System cache if your computer is used primarily as a server, or if you use programs that require a larger cache.

To Change Visual Effects
Windows provides several options to set the visual effects of your computer. For example, you can choose to show shadows under menus, which gives them a 3-D look. You can tell Windows to display the entire contents of a window while you move it on your screen. To make large text more readable, you can choose to display the smooth edges of screen fonts.

Windows provides options for enabling all of the settings (for best appearance), or none of the settings (for best computer performance). You can also restore the original default settings.

To change visual effects, follow these steps:

  • Click Start, click Control Panel, click Performance and Maintenance, and then click System.
  • Click the Advanced tab, and then under Performance, click Settings.
  • Click the Visual Effects tab, and then do one of the following:
  • Click Adjust for best performance to have Windows automatically adjust the settings for best performance.
  • Click Adjust for best appearance to have Windows automatically adjust the settings for best appearance.
  • Click Custom, and then click to select the check boxes for those items that you want to turn on. Click to clear the check boxes for the items that you want to turn off.

Set, View, Change, or Remove Special Permissions for Files and Folders in Windows XP

In Windows XP, you can apply special access permissions to files or folders that are located on NTFS file system volumes. Special access permissions are customizable sets of permissions. This article describes how to set, view, change, or remove special permissions for files and folders.

Permissions for Files and Folders
Folder permissions include Full Control, Modify, Read & Execute, List Folder Contents, Read, and Write. Each of these permissions consist of a logical group of special permissions that are listed and defined in the following sections.

Note: This article assumes that you are using Windows XP on a domain. By default, simplified sharing is enabled in Windows XP if you are not connected to a domain, which means that the Security tab and advanced options for permissions are not available.

If you are not joined to a domain and want to view the Security tab, view the Set, View, Change, or Remove Special Permissions for Files and Folders section in this article.

File and Folder Special Permissions
The following table describes file and folder special permissions.

Special Permissions | Full Control | Modify | Read & Execute | List Folder Contents | Read | Write
Traverse Folder/Execute File | yes | yes | yes | yes | no | no
List Folder/Read Data | yes | yes | yes | yes | yes | no
Read Attributes | yes | yes | yes | yes | yes | no
Read Extended Attributes | yes | yes | yes | yes | yes | no
Create Files/Write Data | yes | yes | no | no | no | yes
Create Folders/Append Data | yes | yes | no | no | no | yes
Write Attributes | yes | yes | no | no | no | yes
Write Extended Attributes | yes | yes | no | no | no | yes
Delete Subfolders and Files | yes | no | no | no | no | no
Delete | yes | yes | no | no | no | no
Read Permissions | yes | yes | yes | yes | yes | yes
Change Permissions | yes | no | no | no | no | no
Take Ownership | yes | no | no | no | no | no
Synchronize | yes | yes | yes | yes | yes | yes

IMPORTANT: Groups or users who are granted Full Control on a folder can delete any files in that folder, regardless of the permissions that protect the file.

Note: Although List Folder Contents and Read & Execute appear to have the same special permissions, these permissions are inherited differently. List Folder Contents is inherited by folders but not files, and it only appears when you view folder permissions. Read & Execute is inherited by both files and folders and is always present when you view file or folder permissions.

Note: In Windows XP Professional, the Everyone group does not include the Anonymous Logon group.

Special Permissions Defined
You can set any or all of the following special permissions on files and folders.
Traverse Folder/Execute File
For folders:

  • The Traverse Folder permission allows or denies the user from moving through folders to reach other files or folders, even if the user has no permissions for the traversed folders (applies only to folders). Traverse Folder takes effect only when the group or user is not granted the Bypass Traverse Checking user right which checks user rights in the Group Policy snap-in. By default, the Everyone group is given the Bypass Traverse Checking user right.

For files:

  • The Execute File permission allows or denies program files the are running (applies only to files).

Setting the Traverse Folder permission on a folder does not automatically set the Execute File permission on all files in that folder.
List Folder/Read Data
The List Folder permission allows or denies the user from viewing file names and subfolder names in the folder. The List Folder permission affects only the contents of that folder and does not affect whether the folder that you are setting the permission on is listed. This applies only to folders.

The Read Data permission allows or denies viewing data in files (applies only to files).
Read Attributes
The Read Attributes permission allows or denies the user from viewing the attributes of a file or folder, such as read-only and hidden. Attributes are defined by the NTFS file system.
Read Extended Attributes
The Read Extended Attributes permission allows or denies the user from viewing the extended attributes of a file or folder. Extended attributes are defined by programs and may vary by program.
Create Files/Write Data
The Create Files permission allows or denies the user from creating files in the folder (applies only to folders). The Write Data permission allows or denies the user from making changes to the file and overwriting existing content (applies only to files).
Create Folders/Append Data
The Create Folders permission allows or denies the user from creating folders in the folder (applies only to folders). The Append Data permission allows or denies the user from making changes to the end of the file but not changing, deleting, or overwriting existing data (applies only to files).
Write Attributes
The Write Attributes permission allows or denies the user from changing the attributes of a file or folder, such as read-only or hidden. Attributes are defined by the NTFS file system.

The Write Attributes permission does not imply creating or deleting files or folders, it includes only the permission to make changes to the attributes of a file or folder. To allow or deny create or delete operations, see Create Files/Write Data, Create Folders/Append Data, Delete Subfolders and Files, and Delete.
Write Extended Attributes
The Write Extended Attributes permission allows or denies the user from changing the extended attributes of a file or folder. Extended attributes are defined by programs and may vary by program.

The Write Extended Attributes permission does not imply that the user can create or delete files or folders, it includes only the permission to make changes to the attributes of a file or folder. To allow or deny create or delete operations, view the Create Files/Write Data, Create Folders/Append Data, Delete Subfolders and Files, and Delete sections in this article.
Delete Subfolders and Files
The Delete Subfolders and Files permission allows or denies the user from deleting subfolders and files, even if the Delete permission is not granted on the subfolder or file. This permission applies only to folders.
Delete
The Delete permission allows or denies the user from deleting the file or folder. If you do not have Delete permission on a file or folder, you can delete it if you are granted Delete Subfolders and Files permissions on the parent folder.
Read Permissions
The Read Permissions permission allows or denies the user form reading permissions about the file or folder, such as Full Control, Read, and Write.
Change Permissions
The Change Permissions permission allows or denies the user from changing permissions on the file or folder, such as Full Control, Read, and Write.

 Take Ownership
The Take Ownership permission allows or denies the user form taking ownership of the file or folder. The owner of a file or folder can change permissions on it, regardless of any existing permissions that protect the file or folder.
Synchronize
The Synchronize permission allows or denies different threads to wait on the handle for the file or folder and synchronize with another thread that may signal it. This permission applies only to multiple-threaded, multiple-process programs.

Set Accessibility Features for People Who Are Blind or Who Have Low Vision in Windows XP

Windows XP offers several features to make it easier for users with low vision to operate their computers. You can access and enable these features from the Start menu, the Control Panel, or the Accessibility Wizard. This article describes how you can set the Accessibility features in Windows XP for people with low vision.
The Start Menu Accessibility Programs
The Start menu contains visual enhancement utilities that you can select.

To use the Accessibility program:

  • Click Start, point to All Programs, point to Accessories, and then click Accessibility.
  • Select one of the following features:
    Magnifier: With this feature, you can enlarge the screen display.
    Narrator: This feature provides audio assistance about the items that are displayed on the screen.

To Use Magnifier to Enlarge the Screen Display
Magnifier is a display utility that makes the screen more readable for users who have low vision. Magnifier creates a separate window on which a magnified portion of the screen is displayed. You can also change the color scheme of the magnification window for easier visibility. You can move or resize the Magnifier window, or use a drag-and-drop operation to move it to the edge of the screen and lock it in place. Magnifier is intended to provide a minimum level of functionality for users with slight visual problems. When Magnifier is open, you can arrange the Magnifier window, and use the Magnifier Settings dialog box to set Magnifier options.

To update Magnifier options:

To use the change position of the Magnifier window feature:

  • Place the pointer inside the magnification window. The insertion point becomes a hand. Use a drag-and drop operation to move the window to the desired area on your desktop.

To use the change size of the Magnifier window feature:

  • Move the pointer over the edge of the magnification window. The insertion point becomes a double-pointed arrow. Use a drag-and drop operation to move the magnification window border to resize the window.

To use the invert colors of the Magnifier window feature:

  • In the Magnifier Settings dialog box, select the Invert colors check box.
    To use the set the magnification level feature, In the Magnifier Settings dialog box, select a magnification level. The default magnification level is 2.

To use the set Magnifier tracking options feature:

  • Select the check box next to each tracking option that you want to use.

To magnify the area around the pointer as it moves on the screen:

  • Select Follow mouse cursor.

To magnify the area at the insertion point:

  • Select Follow keyboard focus. When you press TAB or use the arrow keys, the focus moves to reflect the current screen position.

To display the magnified area that surrounds the insertion point while you are typing:

  • Select Follow text editing.

To Use Narrator to Provide Audio Assistance for the Screen Display
Narrator is a text-to-speech utility for users who are blind or who have low vision. Narrator is designed to work with Notepad, WordPad, Control Panel programs, Microsoft Internet Explorer, the Windows desktop, and Windows Setup. Narrator may not work correctly in other programs. Narrator reads what is displayed on your screen: the contents of the active window, menu options, or the text that you have typed. You must have text-to-speech capabilities installed on the computer to use Narrator. Narrator is not available for all languages and is currently only supported on the English version of Windows XP. Narrator has a number of options with which you can customize the way in which screen elements are read.

Click the options that you need on the Narrator dialog box:

  • Click Announce events on screen to have new windows, menus, or shortcut menus read aloud when they are displayed.
  • Click Read typed characters to have typed characters read aloud.
  • Click Move mouse pointer to the active item to have the pointer follow the active item on the screen.
  • Click the Voice button to adjust the speed, volume, or pitch of the voice.

The Control Panel Accessibility Program
You can use the Accessibility Program in Control Panel to enable and configure features that assist users who have low vision. To open the Accessibility dialog box:

  • Click Start, click Control Panel, and then click Accessibility Options.
  • In the Accessibility Options dialog box, select the Display tab to have access to options for visually-impaired users.
  • Select the Use High Contrast check box to change the screen display to use colors and fonts designed for easier reading.
  • Click the Settings button to select a high-contrast color scheme for your Windows XP system. The default high-contrast scheme is High Contrast Black (Large).
  • Choose a scheme from the drop-down list in the High contrast appearance screen; picking a scheme with the word "large" or "extra large" in the scheme name is typically best.
  • Use the Cursor Options section of the dialog box to change the appearance of the cursor so that it is easier to see:
  • Adjust the Blink Rate to change the speed of the cursor's blinking action.
  • Move the slider bar between None and Fast until you find the blink rate that makes it easy to spot the cursor on the screen.
  • Adjust the width of the cursor by moving the Width slider bar between Narrow and Wide until you find the width that is easy to see.

The Accessibility Wizard
If you prefer the wizard interface to enable features, open the Accessibility Wizard. To open the Accessibility Wizard:

  • Click Start, point to All Programs, point to Accessories, point to Accessibility, and then click Accessibility Wizard.
  • When the wizard starts, click Next to begin setting accessibility options.

Use the wizard options that apply to features for users with low vision. The following three options are displayed on the Text size options screen:

  • Use usual size text for Windows: This option makes no changes to the standard Windows appearance scheme.
  • Use large window titles and menus: This option is the same as selecting the High Contrast option in the Accessibility program in Control Panel.
  • Use Microsoft Magnifier, and large titles and menus: This option turns on Magnifier. Click Next after making your selection. On the next screen, the options that are displayed depend on the choices that you selected in the previous screen. Click Next to continue.

Note: After you have completed the first part of the Accessibility Wizard and the Set Wizard Options section, completes the process to set the Accessibility Features.

To set wizard options:

  • For users with low vision, click the I am blind or have difficulty seeing things on screen option, and then click Next.
  • Select the scroll bar and window border size that is comfortable, and then click Next.
  • Select the icon size that is comfortable, and then click Next.
  • Select the high-contrast color scheme that is comfortable, and then click Next.
  • Select the size and color of the mouse cursor that is comfortable, and then click Next.
  • Adjust the cursor blink rate and size that is comfortable, and then click Next.
  • Click Finish to apply your settings.

Turn Off, Display, and Select an Animated Character in Search Companion in Windows XP

This article describes how to turn off, display, and select a different animated screen character in Search Companion.

How to Turn Off the Animated Screen Character

  • Click Start, and then click Search.
  • In the Search Companion dialog box, click Change Preferences.
  • In the How do you want to use Search Companion box, click Without an animated screen character.

The screen character is no longer displayed in Search Companion.
Note: You can also right-click the screen character, and then click Turn off the animated character in the You rang box.

How to Display the Animated Screen Character

  • Click Start, and then click Search.
  • In the Search Companion dialog box, click Change Preferences.
  • Click With an animated screen character in the How do you want to use Search Companion box.

The screen character is displayed in Search Companion.

How to Select a Different Animated Screen Character

  • Click Start, and then click Search.
  • In the Search Companion dialog box, click Change Preferences.
  • Click With a different character in the How do you want to use Search Companion box.
  • Click Back or Next in the Which character would you like to use box to view the characters.
  • When the character that you want is displayed, click OK.

The screen character that you selected is displayed in Search Companion.
Note: You can also right-click the screen character, and then click Choose a different animated character in the You rang box.

Troubleshooting
If the Search Companion dialog box is not displayed, press F3 to open it.
You can also open the Search Companion dialog box when you press F3 in Windows Explorer, My Computer, or Microsoft Internet Explorer.

How to Change Column Settings in Windows Explorer

This article describes how to change the column settings in Windows Explorer. To change which columns are displayed, or change the width or order of the windows and folders in Windows Explorer:

  • In Windows Explorer, click the folder, and then click Choose Details on the View menu.
  • Click to select the check box of each item that you would like to add to the current view, or click to clear the check boxes of items that you do not want.
  • To reorder your columns, click the item (but do not clear the check box), and then click Move Up or Move Down until the items are in the order that you want. Click OK.

Note: You must click Details on the View menu in order to display the details of the files in the selected folder.

To change the width of the columns, use the appropriate method:

Method One

  • On the View menu, click Choose Details, and then click the name of the column that you want to adjust. In the Width of selected column (in pixels) box, enter the size that you want, and then click OK.

Method Two

  • Widen columns manually by positioning the mouse pointer between two border buttons of the column headings, the pointer turns into a double arrowhead.
  • Click and hold the left mouse button, and then drag the column to the desired width.

How to Change the Default Icons for Folders in Windows XP

You cannot customize the default icon for a folder in Windows; however, you can make a shortcut to a folder and change the look of the shortcut icon. To make a shortcut to a folder and change the look of the shortcut icon:

  • Open My Computer and browse to the folder that you want.
  • Right-click the folder, and then click Create Shortcut. If you are prompted to place the shortcut on the desktop, click Yes.
  • Right-click the shortcut you created, click Properties, and then click Change Icon.
  • Click the picture of the icon you would like the shortcut to use, click OK, and then click OK.

No Icons Available
If you click Change Icon, and there are no icons available, use the Browse button to find Shell32.dll:

  • Right-click the shortcut you created, click Properties, and then click Change Icon.
  • Click Browse, type %systemroot%\system32\shell32.dll in the File name box, click Open, click the icon you want to use, click OK, and then click OK.

How to Enable Internet Connection Sharing on a Home or Small Office Network Connection in Windows XP

This article describes how to share one Internet connection on your home network or your small-office network.

Through the Internet Connection Sharing (ICS) feature for network and dial-up connections, you can use Windows XP to connect your home network or your small-office network to the Internet. For example, you may have a home network in which a Windows XP-based computer connects to the Internet by using a dial-up connection. If you enable ICS on the computer that uses the dial-up connection, you can provide network address translation, addressing, and name resolution services for all of the computers on your network.

Note that, for Internet Connection Sharing to be enabled, the Windows XP-based computer must have two network adapters, one for the home or small-office network, and one for the Internet connection.

Setup Procedures
To enable ICS on a network connection:

  • In Control Panel, double-click Network Connections.
  • Click the local area network (LAN) connection or the dial-up networking connection that you want to share (that is, the one that connects to the Internet), and then, under Network Tasks, click Change settings of this connection.
  • On the Advanced tab, click to select the Allow other network users to connect through this computer's Internet connection check box.
  • If this is a dial-up networking connection, and you want the connection to be automatically dialed when another computer on your network attempts to connect to the Internet, click to select the Establish a dial-up connection whenever a computer on my network attempts to access the Internet check box.
  • If you want to allow other network users to enable or disable the shared Internet connection, click to select the Allow other network users to control or disable the shared Internet connection check box.
  • Under Internet Connection Sharing, in Home networking connection, select the connection that connects the computer that is sharing its Internet connection to the other computers on your network.

Note that to enable ICS in Windows XP, you must have administrative rights.

IMPORTANT: When you enable ICS, the network adapter that is connected to the home or small-office network receives a new static IP address of 192.168.0.1, with a subnet mask of 255.255.255.0. Existing TCP/IP connections on the network may be lost and must be reestablished.

Configuration and Usage Issues
The ICS feature is intended for use in a small office or in a home office in which the network configuration and the Internet connection are managed by the Windows XP-based computer on which the shared connection resides. It is assumed that, on this network, this computer is the only Internet connection, this computer is the only gateway to the Internet, and this computer sets up all internal network addresses. All hosts on the network except the ICS host are expected to be configured to obtain IP address and DNS configuration automatically.

You cannot modify the default network configuration after you enable ICS. This includes changing the range of private IP addresses that are handed out (DHCP allocator), enabling or disabling DNS, and configuring a range of public IP addresses.

If your home office users need to gain access to a corporate network that is connected to the Internet by a tunnel server, the users need to create a virtual private network (VPN) connection to tunnel from the computer on the ICS network to the corporate tunnel server on the Internet. The VPN connection is authenticated and secure, and creating the tunneled connection allocates proper IP addresses, DNS server addresses, and WINS server addresses for the corporate network.

You may need to configure programs and services to work properly across the Internet. For example, if users on your home network want to play a game with other users on the Internet, the game must be configured on the connection in which ICS is enabled. Services that you provide must be configured so that Internet users can gain access to them.

Receive Windows Messenger Messages and Alerts on Your Mobile Device

This article describes how to configure a wireless or mobile device to receive instant messages from your online contacts in Windows Messenger. The devices that this article applies to include Web-enabled cellular phones, pagers, Microsoft Windows CE-based devices, and Palm OS-based devices.

To receive instant messages from Windows Messenger on your mobile device, you must install MSN Add-In for Windows Messenger and set up an MSN Mobile account.

Creating an MSN Mobile Account

  • On the Tools menu, click Options.
  • On the Phone tab, click Mobile Settings.

This action opens a Web page where you can sign up. You can also click the free sign-up option at the following MSN Web site:
http://mobile.msn.com

Receiving Messages on Your Mobile Device from an Online Contact

  • On the Tools menu, click Options.
  • On the Phone tab, under Mobile Device, click to select the check box for Allow people on my contact list to send instant messages to my mobile device.

Note that there is currently no way for you to receive e-mail alerts if you use an e-mail account other than Hotmail.

Sending a Message to a Mobile Device

  • Right-click the contact that you want to page, and then click Send a Message to a Mobile Device.
  • Under Callback Number, click the phone number where you can be reached. You need to have published your phone numbers to your contacts so you can choose a phone number from this menu.
  • Type your message, and then click Send.

The message, your e-mail address, and the phone number where you can be reached are sent to your contact's mobile device. You might receive an instant message back if your contact's mobile device allows for response.

If your contact's mobile device is not turned on, your message might not arrive or might be delayed. Your contact might not see your e-mail address or phone number if your contact's mobile device does not allow display of that information or if the settings on the device cause messages to be cut off after a certain number of characters.

Setting Up and Configuring Alerts

  • Go to the following Microsoft Web site: http://alerts.microsoft.com/
  • A "Welcome to Microsoft .NET Alerts" Web page opens.
  • Sign in by using your Passport.
  • Click Sign up for Microsoft .NET Alerts.
  • On the General Settings Page, specify where you want your .NET Alerts to be delivered. You can specify any of the following locations:
    Your computer, using Windows Messenger
    Your mobile device
    Your e-mail inbox
  • Click Choose .NET Alerts providers.
  • Click a name or logo to set up or to change alerts from that provider. Providers to choose from are:
    MSN Money
    MSN Calendar
    MSN Carpoint
    MSN Music
    eBay
    FYE
    uBid Online Auctions
    McAfee.com
Go to the provider that you choose, and follow the instructions for setting up or changing .NET Alerts for that provider.

Receiving an Alert When Someone Adds You to a Contact List

  • On the Tools menu, click Options.
  • On the Privacy tab, click to select the check box for Alert me when other users add me to their contact lists.

If you refuse to allow someone to add you, you have added that person to your block list. You will always appear to be offline to that person.

Changing the Sounds for Windows Messenger Events

  • On the Tools menu, click Options.
  • On the Preferences tab, under Alerts, click Sounds, and then click the Sounds tab.
  • Under Program events, scroll down to the Windows Messenger sound scheme.
  • Click the sound that you want to change, and then, from the sounds that are available on your computer, click a new sound, and then click OK.
  • If you want to select additional sounds, click Browse. By default, the Media folder opens to allow you to search for additional .wav files. If the Windows Plus! Pack is installed, there is a wide choice of sounds.

Turning Off Alerts

  • On the Tools menu, click Options.
  • In the Options dialog box, click the Preferences tab, and then do one of the following:
    For sign-in alerts: Click to clear the check box for Display alerts near the taskbar when contacts come online.
    For instant message alerts: Click to clear the check box for Display alerts near the taskbar when an instant message is received. You still receive instant messages in the taskbar, but you do not receive the large, square message alert.
    For e-mail alerts: Click to clear the check box for Display alerts near the taskbar when mail is received.

To temporarily turn off other kinds of alerts, go to the following Microsoft .NET Alerts Web site: http://alerts.microsoft.com

To permanently cancel a specific alert, go to the site of the provider of that alert.
For additional online help, visit the following MSN Web site: http://messenger.msn.com/support/helphome.asp

Install or Remove a Font in Windows XP

This step-by-step article describes how to add and remove fonts in Windows XP. The following fonts are included with Windows XP and are installed on every computer:

  • Courier New (TrueType, including Bold, Italic, and Bold Italic variations)
  • Arial (TrueType, including Bold, Italic, and Bold Italic variations)
  • Times New Roman (TrueType, including Bold, Italic, and Bold Italic variations)
  • Symbol (TrueType)
  • Wingdings (TrueType)
  • MS Serif
  • MS Sans Serif

If any of the standard fonts that are included with Windows XP are missing, you can run Windows XP Setup again. Setup replaces missing or changed files. If these standard fonts are missing, other Windows XP files may also be missing, and Setup corrects these problems.

Adding New Fonts
Windows supports TrueType fonts or fonts that are specially designed for Windows, and these fonts are available commercially. Some programs also include special fonts that are installed as part of the program installation. Additionally, printers frequently come with TrueType or special Windows fonts. Follow the directions that come with these products to install these fonts.

To manually install or re-install a font:

  • Click Start, point to Settings, and then click Control Panel.
  • Double-click the Fonts folder.
  • On the File menu, click Install New Font.
  • In the Drives box, click the drive that has the floppy or CD-ROM that contains the fonts you want to add. If you are installing fonts from a floppy disk, this is typically drive A or drive B. If you are installing the fonts from a compact disc, your CD-ROM drive is typically drive D.
  • Double-click the folder that contains the fonts.
  • Click the font you want to add. To select more than one font at a time, press and hold down the Ctrl key while you click each font.
  • Click to select the Copy Fonts To Fonts Folder check box. The Windows\Fonts folder is where the fonts that are included with Windows XP are stored.
  • Click OK.

Removing Fonts
To completely remove fonts from the hard disk:

  • Click Start, point to Settings, and then click Control Panel.
  • Double-click the Fonts folder.
  • Click the font you want to remove. To select more than one font at a time, press and hold down the Ctrl key while you click each font.
  • On the File menu, click Delete.
  • When you receive the "Are you sure you want to delete these fonts?" prompt, click Yes.

To prevent a font from loading without removing it from the hard disk, move the font from the Fonts folder into another folder. Use this method for troubleshooting purposes. This process does not completely remove the font, because font registry information is not deleted. However, it prevents the font from loading.

Create a Desktop Shortcut that Locks a Windows XP-Based Workstation

This step-by-step article describes how to create a desktop shortcut that you can use to lock a Windows XP-Based Workstation. To take full advantage of user authentication as a means of network access control, you must be sure that only the logged-on user is able to use the workstation. Authentication-based access control loses viability when users other than the logged-on user are able to obtain access to local and network objects.

If a user steps away from his or her desk, another user can walk up to the unattended computer and carry out local and network activities by using the credentials of the logged-on user. The logged-on user is accountable for any activities that took place on that workstation while away from it. If the logged-on user can account for his or her whereabouts during the time away from the computer, the credentials of that user are no longer useful in tracking down access violations that have been completed under the context of that user's network account.

Users can lock their workstations by using the Ctrl+Alt+Del Security Attention Sequence (SAS). However, some users are reluctant or unable to press these three keys in sequence, and because of this, do not lock their workstations while they are away from the computer.

You can simplify locking the workstation for these users by creating a desktop shortcut. After you create the shortcut, users can double-click the shortcut to lock the workstation.

To create the shortcut:

  • Right-click an empty area of the desktop, point to New, and then click Shortcut.
  • In the Create Shortcut Wizard, type %windir%\System32\rundll32.exe user32.dll,LockWorkStation in the Type the location of the item box, and then click Next. Note that LockWorkStation is case sensitive.
  • On the "Type a name for this shortcut" page, type Lock Workstation in the Type a name for this shortcut box, and then click Finish.
  • Right-click the shortcut you just made, and then click Properties.
  • Click the Shortcut tab, and then click Change Icon.
  • In the Change Icon dialog box, type %SystemRoot%\system32\SHELL32.dll in the Look for icons in this file box, and then click OK.
  • Browse through the available icons, and then select an icon that makes it easy for the users to identify that the shortcut is to be used to lock the workstation.
  • Click the icon you want to use, and then click OK. Click OK again.
  • Double-click the shortcut, and note that the workstation automatically locks itself.

The user must press Ctrl+Alt+Del, and then type his or her credentials to unlock the workstation.

How to Automate Advanced Restart Options for Dual-Boot Configurations

This article describes how to automate advanced restart options for dual-boot configurations. If your computer is configured to dual-boot to either Windows XP or Windows 2000, the process to boot to the other operating system can be slow.

For example, if you want to reboot into Safe mode under either operating system, you have to watch the computer reboot, monitor the power-on self tests and various BIOS messages, select which operating system you want to boot with from the Startup menu, and then press F8 at the exact moment to enable the Advanced Boot menu. You can select your Safe mode boot options from the Advanced Boot menu.

This article describes a method you can use to create a custom Advanced Restart menu on the Start menu. You can use the Advanced Restart menu to preselect advanced restart options before you restart your computer. After you select your restart options, you are prompted to restart, and your computer starts with your preselected options, and does not require that you press any keys during startup.

IMPORTANT: The following procedure assumes that you have a dual-boot configuration with Windows XP and Windows 2000. Also, although the following procedure works correctly, Microsoft does not support the following procedure:

  • Create a shortcut that is named Advanced Restart on the Windows XP Start menu.
  • For the target path, use the msconfig -4 command. For example, you might use the c:\windows\pchealth\helpctr\binaries\msconfig.exe -4 command.
  • Create the same shortcut with the same path for the Windows 2000 Start menu. This shortcut on the Windows 2000 Start menu should use the path to the Msconfig.exe tool in the Windows XP folder.

The "Advanced Restart" shortcut you created starts Msconfig.exe with a switch that loads the Boot.ini file properties dialog box. From this dialog box, you can select the default operating system, Safe mode options, and other advanced boot options. After you select the restart options and press OK, you are prompted to restart your computer. When your computer restarts, it starts with the options you previously selected, and does not require that you press any keys during startup.

Note: When you boot into Windows XP or Windows 2000 after you use Msconfig.exe, Msconfig.exe automatically starts in diagnostic mode.

Use Windows Update to Keep Your Computer Current

Windows XP takes the chore out of keeping your software updated with the newest and best code for device drivers, security, reliability, and performance.

Windows Update is the online extension of Windows. It’s a Web site where you find the most recent updates for your operating system, software programs, and hardware. Windows Update scans your computer and lists the code updates needed on your system. Then you can choose whether to download and install them.

  • Open Windows Update.
  • Click Scan for updates to find out about recent releases for your system.
  • Click Yes when prompted to install any required software or device drivers.
  • To open Windows Update, click Start, then click Help and Support. Under "Pick a task," click Keep your computer up–to–date with Windows Update.
  • The first time you go to the Windows Update Web site, click Yes when prompted to install any required software or controls.

To use Windows Update, you need to establish a connection to the Internet.
You might need to be logged on as an administrator or a member of the Administrators group in order to perform some tasks.

Copy Files and Folders to CDs

Remember when you loved Rubik’s Cube, Dynasty, and the floppy disk? In the 1980s, before the World Wide Web and ubiquitous e–mail, you could store 1.5 megabytes (MB) of data on a 3.5–inch floppy and transfer it to another computer so easily. And it was beautiful.

Today? That 1.5 MB–floppy won’t hold your 5th grader’s science report.

Enter the compact disc. CDs have become the new standard for removable storage on the computer. Each disc holds 650 megabytes of data and costs little more than a floppy. New computers are more likely to have a CD drive than a floppy drive, although most still have both. With Windows XP and a CD-recordable (CD–R) or CD–rewriteable (CD-RW) drive, you can copy data to a CD as easily as you can to a floppy disk.

To copy files and folders to a CD:

  • Insert a blank, writable CD into the CD recorder.
  • Open My Computer.
  • Click the files or folders you want to copy to the CD. To select more than one file, hold down the Ctrl-key while you click the files you want. Then, under File and Folder Tasks, click Copy this file, Copy this folder, or Copy the selected items.
  • If the files are located in My Pictures, under Picture Tasks, click Copy to CD or Copy all items to CD, and then skip to step 5.
  • In the Copy Items dialog box, click the CD recording drive, and then click Copy.
  • In My Computer, double–click the CD recording drive. Windows displays a temporary area where the files are held before they are copied to the CD. Verify that the files and folders that you intend to copy to the CD appear under Files Ready to be Written to the CD.
  • Under CD Writing Tasks, click Write these files to CD. Windows displays the CD Writing Wizard. Follow the instructions in the wizard. Do not copy more files to the CD than it will hold. Standard CDs hold up to 650 megabytes (MB). High–capacity CDs hold up to 850 MB.
  • Be sure that you have enough disk space on your hard disk to store the temporary files that are created during the CD writing process. For a standard CD, Windows reserves up to 700 MB of the available free space. For a high–capacity CD, Windows reserves up to 1 gigabyte (GB) of the available free space.
  • After you copy files or folders to the CD, it is useful to view the CD to confirm that the files are copied.

To stop the CD recorder from automatically ejecting the CD:

  • Open My Computer.
  • Right–click the CD recording drive, and then click Properties.
  • On the Recording tab, clear the Automatically eject the CD after writing check box.

Use Hibernate and Standby to Conserve Batteries

Fast User Switching can be turned-on with Windows XP Professional only when your computer is not part of a domain.

Power Options in Control Panel lets you adjust any power management option that your computer's unique hardware configuration supports. These options vary widely from computer to computer. Power Options automatically detects what is available on your computer and shows you only the options that you can control.

ACPI—If you are not sure whether your computer is ACPI–compliant, check your manufacturer's documentation. During Windows Setup, ACPI is installed only if all components present during Setup support power management.

The Hibernate function in Windows XP Professional can make the batteries in your laptop computer last longer.

Windows XP supports the industry standard power management technology known as the Advanced Configuration and Power Interface (ACPI), which enables the operating system to control power to your computer and peripheral devices. The power management features in Windows XP include Hibernate and Standby. Hibernate saves an image of your desktop with all open files and documents, and then it powers down your computer. When you turn on power, your files and documents are open on your desktop exactly as you left them. Standby reduces the power consumption of your computer by cutting power to hardware components you are not using. Standby can cut power to peripheral devices, your monitor, even your hard drive, but maintains power to your computer’s memory so you don’t lose your work.

Power Management Performance
Windows XP wakes from Hibernate faster than any earlier version of Windows. So you can preserve your batteries without taking time to close all your files and shut down, and then restart and open all your files when you’re ready to work again. If you need to leave your computer, you can just leave it. Windows XP can automatically put your computer into Hibernate mode after a specified period of inactivity. Or Windows XP can detect when your batteries are running low, and then automatically put your computer in Hibernate mode to save your work before the battery fails. To put your computer into hibernation, you must have a computer that is set up by the manufacturer to support this option.

To automatically put your computer into hibernation:
You must be logged on to your computer with an owner account in order to complete this procedure.

  • Open Power Options in Control Panel. (Click Start, click Control Panel, and then double-click Power Options.).
  • Click the Hibernate tab, select the Enable hibernate support check box, and then click Apply.

If the Hibernate tab is unavailable, your computer does not support this feature.
Click the APM tab, click Enable Advanced Power Management support, and then click Apply.

The APM tab is unavailable on ACPI–compliant computers. ACPI automatically enables Advanced Power Management, which disables the APM tab.
Click the Power Schemes tab, and then select a time period in System hibernates. Your computer hibernates after it has been idle for the specified amount of time.

To manually put your computer into hibernation:
You must be logged on as an administrator or a member of either the Administrators or Power Users group in order to complete this procedure. If your computer is connected to a network, network policy settings might also prevent you from completing this procedure.

  • Open Power Options in Control Panel. (Click Start, click Control Panel, and then double-click Power Options.).
  • Click the Hibernate tab, and then select the Enable hibernate support check box.
  • If the Hibernate tab is not available, your computer does not support this feature.
  • Click OK to close the Power Options dialog box.
  • Click Start, and then click Shut Down.
  • In the What do you want the computer to do drop-down list, click Hibernate.
  • If you are using Windows XP Home Edition, or Windows XP Professional with Fast User Switching turned on, the Shut Down menu will present the options to Stand By, Turn Off, or Restart your computer. Hold down the Shift key, and the Stand By button will change to Hibernate.

Delete Files when the Recycle Bin is Hidden

By default, the Windows XP Recycle Bin sits at the bottom right of the desktop, just above the tray notification area and system clock. If you've got a bunch of floating windows open, however, it's possible to obscure the Recycle Bin and make it impossible to drag files and folders there for deletion. However, Microsoft must have thought of this event, because you can automatically hide all of those open windows during a drag operation.

  • Make sure a bunch of windows are open on the screen, with at least one of them hiding the Recycle Bin.
  • Find a file or group of files you'd like to drag to the Recycle Bin.
  • Pick up the files with the mouse and move them to the lower right of the screen.
  • As you reach the bottom area of the screen, pass the mouse cursor over a blank area of the task bar, hover there for an instant, and--voila!--the open windows all minimize, leaving the Recycle Bin available to accept the dragged files.

This tip also works when windows are maximized, assuming the file(s) you want to delete are visible in one of the available windows.

Use the ultimate configuration tool (Professional Edition only)

One of the most full featured Windows XP configuration tools available is hidden right there in your system, but most people don't even know it exists. It's called the Local Group Policy Editor, or gpedit for short.

  • Select Start and then Run.
  • Then type the following: gpedit.msc

After you hit ENTER, you'll be greeted by gpedit, which lets you modify virtually every feature in Windows XP without having to resort to regedit. Dig around and enjoy!

Display Hibernate Option on the Shut Down dialog

For some reason, Hibernate isn't available from the default Shut Down dialog. But you can enable it simply enough, by holding down the SHIFT key while the dialog is visible. Now you see it, now you don't!

Microsoft .NET FAQ

When Microsoft formally introduced its .NET strategy in mid-2000, analysts were confused about how the company would pull off such a massive platform shift. Two years later, they're still wondering. But .NET isn't vaporware, and it's not a pipe dream. In fact, .NET is happening today.

Q: What is .NET?
A: It's a dessert topping, it's a floor cleaner--it's a dessert topping and a floor cleaner! Actually, .NET is many things, but primarily it's a marketing term for a set of products and technologies that Microsoft is creating to move personal and enterprise computing beyond the PC desktop and into a distributed Internet-based environment. So .NET--which was originally called Next Generation Windows Services (NGWS)--is also a platform, one that Microsoft sees as the successor to Windows. The .NET platform is based on Web services which are, in turn, defined by a language called XML.

Q: What is XML?
A: XML--the eXtensible Markup Language--is a self-descriptive, data definition language. It's similar to HTML, the language of the Web, but it's far more powerful because it's not limited to a static list of language constructs ("tags") that the language's authors supply. Instead, XML is extensible and dynamic: Programmers can define new types of data using XML and then describe that data so that others will know how to use it.

Q: What are Web services?
A: Web services are server-side applications that expose their services as programmable units that other applications (and Web services) can access over the Internet.

Q: Does .NET require Windows?
A: Technically, no, but realistically, yes. It's possible the .NET platform could be ported to other operating systems, such as Linux, FreeBSD, the Macintosh, or whatever, and indeed, some work is being done now in this area. However, .NET very much requires Windows today, on both the server and the client. One might say that .NET and Windows have a symbiotic relationship.

Q: .NET is being ported to Linux?
A: Yes. A company called Ximian is porting the standards-based parts of .NET to Linux as you read this, and the work is amazingly far along. Code-named Mono, this project seeks to bring the C# programming language, the Common Language Runtime (CLR, see below), and other .NET features to Linux.

On a related note, Microsoft has contracted Corel (makers of CorelDraw and Word Perfect) to port .NET to FreeBSD at some undetermined date in the future. This project has not yet started.

Q: Which Windows versions support .NET?
A: You can run .NET client applications and services on Windows 98, 98 SE, Millennium Edition (Me), NT 4.0, 2000, or XP. Beginning in late 2002, you will be able to run .NET applications and services on Windows CE .NET products, such as the Pocket PC and Microsoft Smart Phone, as well.

On the server, you can use Windows NT 4.0, 2000, or .NET Server.

Q: Are there any .NET features in Windows XP?
A: Yes, but not much. Because Windows XP was designed and built before the .NET Framework was complete, it only includes bare-bones .NET functionality. The primary conduit for .NET in XP is Windows Messenger, which is used to expose .NET alert and rendezvous services. XP also includes integration with the .NET Passport service, so that you can optionally auto-logon to Passport when you logon to Windows.

Q: Isn't .NET just another name for COM, COM+, Windows DNA, or some other previous Windows technology?
A: Actually, no. Microsoft spent considerable time and effort developing and promoting a set of Windows technologies that was at various times called OLE, COM, COM+, and Windows DNA (Distributed InterNet Architecture), but .NET is not the next iteration. Windows DNA, which was the final umbrella term for this set of technologies, was based around a concept where Windows-based software components could expose their services for other local and remote Windows software components. But though this sounds passingly similar to .NET, Windows DNA is very much based on proprietary Windows technologies. By comparison, .NET is based on open standards (XML and various related technologies), so it will be much easier for other vendors to adopt the platform and write compatible software. So we can eventually expect to see .NET clients and servers on platforms other than Windows.

Q: So are all older applications useless now? What about all those COM components I developed over the past several years?
A: Obviously, any existing applications, services, and components will continue to work with future Windows versions. However, Microsoft has also added interoperability features so that you can use this older code--now referred to as unmanaged code--with new .NET applications and services.

Q: So what technologies are part of .NET?
A: .NET is comprised of several related technologies, including:

.NET Framework - A runtime environment and set of standard services which .NET capable applications and services can utilize. Implemented as a code library, the .NET Framework includes the Common Language Runtime (CLR), the .NET run-time environment; ASP .NET, a Web applications platform; and ADO .NET, for data store access. Microsoft will ship a version of the .NET Framework--dubbed the .NET Compact Framework--for Pocket PCs, Microsoft Smart Phones, and other similar devices in late 2002.

.NET My Services - A set of free, consumer-oriented services that will expand on .NET Passport's authentication services (available today) to offer Web server-based storage of personal information such as name and address, calendar, address book, and credit card information. Microsoft expects to ship .NET My Services (previously code-named Hailstorm) for consumers by the end of 2002. A business oriented version of .NET My Services is also in the works.

.NET Enterprise Servers - A set of expensive Microsoft server software that runs on Windows servers, including Application Server, BizTalk Server, Exchange Server, Host Integration Server, Internet Security and Acceleration Server, SQL Server, and many others. Microsoft is currently shipping many such server products, but they are all based on Windows DNA currently, not .NET. Future server products--beginning with Windows .NET Server, due in late 2002--will actually be based on .NET technologies for the first time.

Visual Studio .NET - Microsoft's .NET development environment, with support for languages such as Visual Basic .NET, Visual C++ .NET, and Visual C# .NET, which all target the .NET Framework. Other vendors can add other language capabilities to Visual Studio .NET, and the suite can be used to target a wide range of applications and services, including .NET Web services, Windows applications, and Web applications. Note that Visual Studio .NET is not required to create .NET applications and services: Developers can download the .NET Framework for free; this download includes compilers for Visual Basic .NET, Visual C++ .NET and Visual C# .NET.

Q: Will I need to upgrade my Windows NT4/2000 servers to Windows .NET Server to serve .NET applications and services?
A: No, you can install the .NET Framework on Windows NT 4.0 or Windows 2000. However, Microsoft hopes that it's new .NET Enterprise Servers add enough value that you will want to upgrade to one or more of them.

Q: What does Windows .NET Server bring to the picture compared to Windows 2000 Server?
A: Windows .NET Server is a minor upgrade to Windows 2000 Server.

Q: Visual Studio .NET sounds nice, but what about other programming languages?
A: One of the biggest advancements in Visual Studio .NET is that the environment, like the underlying .NET CLR, is not tied to any one language. Microsoft ships C#, C++, Visual Basic, and ECMAScript/JScript/JavaScript support in the box, and will ship its Visual J# .NET add-on later in 2002. But hundreds of companies are porting various programming languages to .NET and the Visual Studio .NET environment, including Delphi/Object Pascal, Perl, PHP, and many more.

Q: What if I want to create standalone Windows applications that don't rely on the .NET Framework? Is this still possible?
A: You can still write Visual C++ applications and services that rely on technology such as the Win32 API, MFC, ATL, or COM/COM+. However, Visual Basic programmers will have to learn the new Windows Form model exposed by the .NET Framework.

Q: What's the future of Web-based scripting under .NET? If one wanted to write Web scripts that work with the widest variety of browsers?
A: You want to look into something called ASP .NET, which is a server-side scripting environment. What this gives you is the ability to use any .NET compatible language, built-in browser detection features you won't need to hand-code, and compatibility with non-PC devices like Smart Phones and Pocket PCs. The future of Web scripting is server-side.

Q: When will the .NET Framework be shipped as part of Windows? Will it be included in Windows 2000 SP3 or Windows XP SP1?
A: Windows .NET Server will be the first Windows version to ship with the .NET Framework included as an integral component; this product is due in late 2002.

Q: Parts of .NET sound a lot like Java. Is it just a Java rip-off?
A: Not exactly. Like Java, .NET includes a run-time environment that provides a number of important developer services, such as garbage protection. And yes, C#--an object oriented, C-like programming language similar to Java--is the preferred language for .NET development. But Java isn't the first object-oriented C-like language, and it certainly isn't the first developer tool to offer a run-time environment (indeed, Microsoft has used a run-time environment for Visual Basic for almost a decade, beginning well before Java was invented).

Also, .NET offers three critical advantages over Java: First, it allows the programmer to use any compatible programming language, compared to the one (Java) that the Java environment allows. Secondly, .NET applications and services are fully compiled, unlike Java applications and services, so they offer much better performance. And finally, critical portions of .NET--including the CLR and the C# programming language--have been opened as international standards. Despite promises, Java's inventor--Sun Microsystems--has constantly reneged on its Java standardization efforts. This standards-based approach will eventually see .NET ported to operating systems other than Windows.

Q: What about Windows? If .NET is successful, does that mean Windows goes away?
A: No. Windows is a crucial component of .NET, on both the server and the client (desktop). Server-side, Windows servers will be used to execute .NET code and provide .NET services to users. On the client, a future Windows version called Windows .NET will provide pervasive .NET integration and be what Microsoft calls the most complete .NET client. And on handheld and connected devices, Windows CE .NET will offer a subset of the .NET Framework called the .NET Compact Framework, that enables .NET compatibility there as well. Even if .NET succeeds beyond Microsoft's wildest dreams, Windows doesn't go away. Instead, it becomes a key component of a far wider strategy that moves beyond the PC to include PC-like devices such as cell phones, PDAs, set-top boxes, and the like.

Q: What about 64-bit Windows versions? Will .NET applications and services have to be recoded or recompiled to run on this new platform?
A: Most .NET applications and services should run fine on 64-bit Windows platforms that are .NET Framework-enabled without having to be recoded or recompiled at all.

Q: .NET sounds like it requires a 24/7 Internet connection. What happens when that connection goes down, or if we have a dial-up Internet connection?
A: For .NET to be fully realized, bandwidth will have to be like electricity. That is, it will have to be always on, and very reliable. In the meantime, Microsoft realizes that many people will be accessing .NET services through an unreliable or slow connection, and for this reason, the technology is being built to deal gracefully with interruptions.

Q: How do we know .NET isn't just a passing fad?
A: I think the clearest way to understand this is to look at how they've architected .NET. Unlike many of Microsoft's previous technology initiatives, .NET is a brand new platform that's been done right. Just head into a Borders or Barnes and Nobles, and check out the wide variety of .NET related topics there are out there, everything from building mobile Web applications, to Windows Form applications, to pre-.NET application porting. Microsoft .NET is real, it's here to stay, and though the phrase betting the company is getting a bit tired, this time it's true: Microsoft's future is completely wrapped up in .NET.

Q: What companies and products does Microsoft's .NET product line compete with?
A: Honestly, there isn't a single company or product line out there that competes with the full .NET initiative. For Web services, the obvious target is Sun, with its J2EE (Java 2 Enterprise Edition). And Java is right there as a non-OS platform of sorts as well, though it has glaring performance and compatibility deficiencies. IBM has a Web services strategy, of sorts, as well. And of course various companies make developer tools that compete with Visual Studio .NET.

However, the biggest .NET competitor might ultimately be Linux. If the Linux community can successful port key .NET technologies and provide key .NET services via free server products, it could give Microsoft a run for its money.

Q: OK, so what's the point? How does this make my life better?
A: With apologies to Microsoft for stealing the term, .NET enables a better PC ecosystem. That is, by making life easier for everyone involved with PCs, the benefits are cross-pollinated. Here's how .NET makes life easier on various groups:

Programmers - Because developers now have a consistent, language-neutral programming environment, they can create better applications and services more quickly. And because .NET encompasses such a wider range of functionality, those applications and services can be connected to back-end services via the Internet, offering better, and more exciting functionality.

IT administrators - Because .NET applications and services do away with the "DLL Hell" found in previous Windows applications, they are amazingly easy to distribute and install.

End users - For the reasons listed above, and many others, a new generation of .NET applications and services will provide new types of connected functionality. Access your email from anywhere. Pay for products online without typing in your credit card information. Access weather, traffic, music, and other personal information from a variety of devices, from anywhere in the world. The future is all connected, and .NET will get us there.

Now, there are problems, of course. Some people concerned about privacy and security are up in arms over .NET, fearing that Microsoft isn't doing enough in these areas. The proof, of course, will be in the implementation, and given the emphasis that Microsoft has placed on .NET and security, I suspect they're going to get it right. Stay tuned!

Windows XP Service Pack 1 (SP1) FAQ

Windows XP Service Pack 1 (XP SP1) is more than just a collection of security hot-fixes and bug fixes; instead, it's a full-on interim Windows release with tons of new functionality. So here's the first--and most comprehensive--FAQ dedicated to the next version of Windows XP Home Edition and Professional anywhere!

Q: What is Windows XP Service Pack 1 (SP1)?
A: XP SP1 will roll up critical updates and contain enabling technologies for Windows CE for Smart Displays ("Mira") and new types of PCs like the Tablet PC and the Media Center ("Freestyle") PC. It will also include DirectX 9 and the changes required by the consent decree with the US Department of Justice (DOJ) and nine US states.

Q: What are "Mira" and "Freestyle"?
A: Windows CE for Smart Displays ("Mira") is a new remote display technology that uses Windows CE .NET, 802.11b (Wi-Fi) wireless capabilities, and XP's Remote Desktop feature to enable a new generation of smart displays which you can carry around the home.

Windows XP Media Center Edition ("Freestyle") is a new version of XP that includes a simple, graphical front-end to the XP-based digital media tasks you can perform with a remote control, rather than a keyboard and mouse. This includes listening to digital music, watching photo slideshows, and viewing digital movies and DVDs.

Q: When will XP SP1 ship?
A: SP1 will be finalized in mid-August 2002, with a September 2002 street date. This will give PC makers time to integrate the new XP into PCs for the 2002 holiday season.

Q: What's the XP SP1 code-name?
A: Currently, XP SP1 does not have a code-name.

Q: Wasn't this supposed to ship in early 2002?
A: Yes, the original plan was to ship XP SP1 in the first half of 2002. But with a slew of new features to add and its Trustworthy Computing code review to do, Microsoft decided to integrate it all into a single release aimed at satisfying the need for a yearly Windows release.

Q: When will the XP SP1 beta test start?
A: The XP SP1 beta is closed to Windows XP testers only; it began this spring. A separate Mira beta began in early April and will hit Beta 2 this summer. The Freestyle beta began in early Summer 2002, and is being tested separately from XP SP1.

Q: So what about Longhorn?
A: Longhorn has been delayed until late 2004 and is now a major Windows release.

Windows .NET Server Family FAQ

If you think of Windows .NET Server ("Whistler Server") as what would have been Windows NT Server 5.1, then you've got the right idea. Here's the first--and most comprehensive--FAQ dedicated to the next version of Windows Server anywhere!

Q: What is Windows .NET Server ("Whistler" Server)?
A: Essentially, Windows .NET Server consists of the server editions of the next version of Windows 2000. This includes Web Server Edition Standard Server Edition, Enterprise Server Edition (32-bit and 64-bit versions), DataCenter Server Edition (32-bit and 64-bit versions), and Windows .NET Server Embedded.

 Q: What editions will Windows .NET Server include?
A: Initially, Windows .NET Server will include Web Server, Standard Server, Enterprise Server, and DataCenter versions editions; Enterprise Server and DataCenter Server will ship in 64-bit versions as well. An Embedded version and Small Business Server 2003 will appear soon thereafter.

Q: So what's new in Windows .NET Server?
A: Windows .NET Server is designed as an evolutionary step beyond Windows 2000 Server, thus it is not a major new product revision, though it boasts thousands of mostly small improvements. Windows .NET Server has been updated to include .NET Framework 1.1 and XML Web Services; this additional functionality led Microsoft to change the name of the product (which was originally to be simply titled Windows 2002 Server).

Windows .NET Server also includes features to make Active Directory (AD) deployments faster and more flexible, such as a Domain Controller (DC) Upgrade Wizard that lets administrators restore DC information from removable media such as CD-ROM and DVD-RAM. AD now supports cross forest trust and authentication and authorization. There are new remote, headless and unattended management features for in-band and out of band administration, 160 new Group Policy settings, 28 new command line tools, a new Software Restriction Policies feature, and several Terminal Services enhancements. Windows .NET Server has also been tweaked for better performance and reliability: Microsoft says that the product performs up to 50 percent faster on the same hardware as equivalent Windows 2000 Server products.

Windows .NET Server includes Internet Information Server (IIS) 6, the latest version of Microsoft's Web server product. IIS 6 has been rewritten for better security, performance and reliability and now ships in lockdown mode by default.

Q: What's the difference between the 32- and 64-bit versions of Windows .NET Server?
A: The 64-bit versions of Windows .NET Server run only on Intel's 64-bit Itanium 2 hardware, while the other versions run on 32-bit Intel Pentium-based servers.

Q: Will I be able to upgrade Windows 2000 Server to Windows .NET Standard Server?
A: Yes. You will be able to upgrade each edition to the corresponding new version (i.e. you can upgrade Windows 2000 Advanced Server to Windows .NET Enterprise Server). You cannot "downgrade" releases, however; for example, you cannot upgrade Windows 2000 Server to Windows .NET Web Server.

Q: When will Windows .NET Server be released?
A: Windows .NET Server is on a radically different release schedule from the desktop version of Whistler (Windows XP). The final release will ship by the end of 2002, after being delayed twice, though customers won't be able to purchase it until early 2003.

Windows "Longhorn" FAQ

Once envisioned as a minor upgrade to Windows XP, Windows "Longhorn" took on all-new importance in early 2002 when Microsoft decided to reach for the brass ring and make the new Windows release an all-encompassing major upgrade with a new security architecture called Palladium, a 3D-enabled user interface, and brand-new, database-based file system, and many more exciting new features. Here's the first--and most comprehensive--Longhorn FAQ ever created, constantly updated to include the latest information about this release.

Q: What is "Longhorn"?
A: Longhorn is the next major Windows release, which will follow Windows XP and XP Service Pack 1 (SP1). Originally expected to be a fairly minor upgrade, Longhorn will now include a number of new features including a revised task-based (or "inductive") user interface, an extensible, dock-like, Start panel, and a SQL Server 2003-based file system.

Q: So what will be new and different in Longhorn?
A: Though speculation on Longhorn continues, what we know about this Windows release is steeped in generalities and rumors. Given that, here's what we know about Longhorn:

  • Longhorn will feature a task-based (or "iterative") interface that goes far beyond the task-based interface found today in Windows XP. Microsoft has been working to move beyond the dated desktop metaphor still used by Mac OS X and Linux for many years.
  • The Longhorn Start Menu will likely take on the form of the Task Panes from Office XP and occupy a good percentage of the right- or left-most portion of the Longhorn desktop.
  • Longhorn will take full advantage of 3D video hardware to render special effects that will make the screen more photorealistic and deep. This doesn't mean that the basic windows and mouse interface is being replaced, just that it will look a lot better.
  • Longhorn will optionally include the Palladium technology Microsoft is developing with Intel and AMD (see the next question for details).
  • Longhorn will include a database-like file system based on technology from SQL Server 2003 (code-named Yukon). This file system will abstract physical file locations from the user and allow for the sorts of complex data searching that are impossible today. For example, today, your email messages, contacts, Word documents, and music files are all completely separate. That won't be the case in Longhorn.
  • Longhorn will include integrated DVD+R and DVD+RW DVD burning capabilities. Digital media enthusiasts will be able to copy video from a digital camcorder directly to DVD+R, bypassing the system's hard drive entirely, if desired.

Q: What's with this Palladium stuff I keep hearing about?
A: One of the most exciting aspects of Longhorn is its integration with Palladium, Microsoft's technology for realizing the Trustworthy Computing vision. Palladium is basically a secure run-time environment for Windows and other operating systems that allows a coming generation of software applications and services to protect the end user from privacy invasion, outside hacking, spam, and other electronic attacks. Palladium requires special hardware security chips and microprocessors (which will be made by Intel and AMD) and doesn't interfere with the normal operation of the PC. That is, Palladium-based PCs will still operate normally, working with legacy operating systems and applications. But specially-made Palladium applications and services will offer a range of features of functionality not found in the non-Palladium world, and if the initiative is successful, we'll one day be running only Palladium-based software.

If you're familiar with the .NET model, you might be aware of the notion of "managed" and "non-managed" (or legacy) code. Palladium will institute a similar model for PC software, where a trusted execution mode is used for Palladium applications and services and the old, "untrusted" mode is used for legacy code.

Microsoft designed Palladium around the following ideals:

  • Palladium will tell you who you're dealing with online, and what they're doing. It will uniquely identify you to your PC and can limit what arrives (and runs on) that computer. Information that comes in from the Internet will be verified before you can access it.
  • Palladium protects information using encryption to seal data so that "snoops and thieves are thwarted." The system can maintain document integrity so that documents can't be altered without your knowledge.
  • Palladium stops viruses and worms. The system won't run unauthorized programs, preventing viruses from trashing your system.
  • Palladium stops spam. Spam will be stopped before it even hits your email inbox. Unsolicited mail that you might actually want to receive will be allowed through if it has credentials that meet your user-defined standards.
  • Palladium safeguards privacy. In addition to the system's ability to seal data on your PC, Palladium can also seal data sent across the Internet using software agents that ensure the data reaches only the proper people. Newsweek reports that the agent has been nicknamed "My Man," a goof on ".NET My Services," "My Documents," and other similar names at Microsoft.
  • Palladium controls information after it's sent from your PC. Using Digital Rights Management (DRM) technology, Palladium can be used to securely distribute music, movies, and other intellectual property securely over the Internet. Movie studios and the recording industry could use this technology to let their customers exercise their fair use rights to copy audio CDs and movies, for example. "It's a funny thing," says Bill Gates. "We came at this thinking about music, but then we realized that e-mail and documents were far more interesting domains." Gates says that Palladium could ensure that email designated as private could not be forwarded or copied to other people, for example. Or, the Newsweek reports reads, "you could create Word documents that could be read only in the next week. In all cases, it would be the user, not Microsoft, who sets these policies."

Q: I thought the next version of Windows was code-named "Blackcomb."
A: The existence of Longhorn was first revealed by Windows product manager Tom Laemmel, who I met July 17, 2001 during an XP press tour. Laemmel spilled the beans to eWeek a few days later, and Microsoft executive vice president Jim Allchin verified that a new interim release, Longhorn, would ship before Blackcomb. Since then, information about Longhorn has appeared in Microsoft and Department of Justice (DOJ) legal filings related to the Microsoft antitrust case. It's real, and now it's common knowledge.

Q: So when will Longhorn ship?
A: Microsoft originally said that we could expect Longhorn in late 2002 or early 2003, but the release was recently pushed back until late 2004. This suggests that an XP refresh, possibly called Windows XP Second Edition (XP2E) will ship first, in late 2003.

Q: When will the Longhorn beta start?
A: After Windows XP shipped, Microsoft said that the beta for the next version wouldn't start until the beta for Windows XP SP1 was completed. That will happen in mid-August, so I expect the Longhorn beta to begin sometime this fall.

Q: What's up with the name Longhorn?
A: The name wasn't chosen randomly. Remember that Windows XP was code-named Whistler and the next major version of Windows is code-named Blackcomb. Both of these names come from ski areas in British Columbia, close to Microsoft's headquarters. At the foot of Whistler Mountain, there is a saloon named Longhorn that serves the local skiing population. So if you're ever in the area and want to take in some local color, Longhorn is a nice stop… after you're done with Whistler.

Speed Up Those Searches New!

Windows can create an index of the files on your computer to speed up searching.

  • Open Search, then choose Change preferences and then With Indexing Service (for faster local searches).

"Go" Places Quicker on the Internet New!

Many common Internet searches can be performed quickly using the "go" shortcut. For example, if you open Search in Internet Explorer and type go yellow pages, the page will jump to a form where you can lookup a business phone number. Likewise, typing go email automatically brings up a form for searching for a person's email.

You can even type go yellow pages Acme Corp to automatically search for the phone number of a company called Acme Corp. And you can type go amzn to look up the value of a stock quote (in this case Amazon's).

Quick Search Tips New!

  • Using capitalization can result in better performance when using Search Companion. For instance, Mary Smith may produce better results than mary smith.
  • If you didn't find what you wanted on the first search engine, choose Automatically send your search to other search engines to submit your search to other engines that are appropriate for your query.
  • If you like having an animated character, but want to use a different one, choose Change Preferences, then With a different character to choose the helper you like.

Use the On-Screen Keyboard

An on-screen keyboard is built into Windows XP. It can be useful if you have mobility impairments, if you are using a tablet PC, or if your keyboard breaks down unexpectedly.

To access the on-screen keyboard:

  • Go to Start, then click Run, and then type osk.

Now the keyboard opens on your computer screen, featuring three typing modes you can use to type data:

  • Clicking mode, where you click the on-screen keys.
  • Scanning mode, where you press a hot key or use a switch-input device to type highlighted characters.
  • Hovering mode, where you use a mouse or joystick to point to a key, which is then typed.

To make a shortcut icon on your desktop to the on-screen keyboard:

  • Right-click the desktop and choose New, then Shortcut.
  • Type osk, click Next.
  • Type a name for the shortcut, and then click Finish.

Use Ctrl+Alt+Del Without Pushing All the Buttons

For some people, pushing Ctrl, ALT and Delete (Ctrl+Alt+Del) at the same time can be an inconvenience, if not a complete impossibility. With Windows XP, there are two ways to get around this.

First option: Configure the system so that you do not need to press Ctrl+Alt+Del at all during logon (assuming you're not using the Welcome screen, in which case this key combo is not required).

  • Open Control Panel then User Accounts.
  • Navigate to the Advanced tab.
  • Uncheck the Require users to press Ctrl+Alt+Del checkbox under Secure Logon.

Second option: Configure XP's accessibility options so that "sticky keys" will be activated at the secure desktop: That way, you may "press" ALT, Ctrl, and DEL sequentially rather than simultaneously. You can turn that on via the Accessibility control panel. (Control Panel then Accessibility Options):

  • Bring up the Accessibility Control panel and navigate to the Keyboard tab.
  • Check Use Sticky keys.
  • Navigate to the General Tab.
  • Check Apply all settings to logon desktop.

Turn on ClearType Font-Rendering Technology

Get that extra text clarity you've always wanted. The incredible Microsoft ClearType technology can be enabled in Windows XP to smooth all fonts at all sizes, making the whole system so much easier to read.

  • Click Start, then Control Panel, and then click Appearance and Themes.
  • Click the Display icon, then the Appearance tab, and then Effects.
  • Click the Use the following method to smooth edges of screen fonts check box and select ClearType from the list.
  • Click OK, and then click OK again.

Remove Interference in Movie Files

If you have any AVI files that you saved in Windows 9x, they might have interference when opened in Windows XP. Fortunately, there is an easy fix to get rid of the interference:

  • Open Windows Movie Maker.
  • Click View and then Options.
  • Uncheck Automatically create clips.
  • Now, import the movie file that has interference and drag it onto the timeline.
  • Then save the movie. During the re-rendering, the interference will be removed.

Working with Album Art in Windows Media Player

Set your own Album Art for your media folders and Media Player for Windows XP (MPXP). If you don't like the album art or have a folder of downloaded music that you want to add art to:

  • Simply select any graphic from your browser.
  • Save it inside the folder you want, and call it Folder.jpg.

Now when you play any music that resides in that folder, the Media Player will automatically pick it up and display that as album art.

Managing Multiple Photos or Other Files

If you have numerous files to rename, select a group of photos, then rename the FIRST one and the rest will follow.

Turn Off File Names in Thumbnail View

Find that you need more space for thumbnails and would like to turn the file names off?

  • Hold down shift when you open a folder or when you switch into thumbnail view. This will turn of the file names, giving more space for the thumbnails. Doing it again turns them back on.

Try Grouping Files for Effortless Manageability

  • In any My Computer window, select View > Arrange Icons by > Type.
  • Then, select View > Arrange Icons by > Show in Groups.
  • If you prefer Details view, you can right-click on the column header in and choose the columns you want displayed. And you can drag and drop the column headers to reorder them.

Add a Map Drive Button to the Toolbar

Do you want to quickly map a network drive, but can't find the toolbar button? If you map drives often, use one of these options to add a Map Drive button to the folder toolbar in My Computer.

Option One (Long Term Fix):

  • Open My Computer, right-click the toolbar, then unlock the toolbars, if necessary.
  • Right-click the toolbar again and click Customize.
  • Under Available toolbar buttons, locate Map Drive, and drag it into the position you want on the right under Current toolbar buttons.
  • Click Close, click OK, and then click OK again.

You now have a drive mapping buttons on your My Computer toolbar, so you can map drives from any folder window. To unmap drives, follow the above procedure, selecting Disconnect under Available toolbar buttons.

Option Two (Quick Fix):

  • Right-click My Computer and choose Map Network Drive. If you place your My Computer icon directly on the desktop, you can make this move in only two clicks! Otherwise, you can right-click the My Computer icon in the Start Menu.

Fax Tips

Here are some useful tips for working with Fax and Image Viewer:

  • Typing Ctrl-I in the picture viewer will bring up the property sheet for the image (doesn't work in slide show).
  • Typing DEL in the picture viewer will delete.
  • Holding down the Ctrl key in the picture viewer enables "panning" (hand cursor)

Use the Windows Classic Look

Are you more comfortable performing a task with the familiar Windows Classic user interface than you are with Windows XP's new interface? You can quickly switch the user interface to the familiar Windows Classic appearance on your computer if it helps you remember a task in your operating system or program. Then, you can go back to the original Windows look with a couple of clicks.

  • Right-click on a blank area of the desktop, then click Properties.
  • Click the Appearance tab.
  • On the Windows and Buttons menu, select Windows Classic, then Click OK.

Change the Start Menu Style

Does the new Windows XP Start menu take up too much space on your desktop? You can easily change the look back to the Windows Classic Start menu by following these steps:

  • Right-click the Start button, and then click Properties.
  • Click the Classic Start menu choice.
  • Click the Customize button to select items to display on the Start menu.

By default, selecting the Classic Start menu also adds the My Documents, My Computer, My Network Places, and Internet Explorer icons to your desktop. If you don't want this:

  • Right-click a blank area of the Desktop, choose Properties, and then navigate to the Desktop page. Click Customize Desktop to determine which icons are shown on the desktop.

Add Fields to the Details View of Folders

You can add other columns to the Details view of the files contained in Windows XP folders, such as Comments, Description, Category, and many others. To add new columns:

  • Right-click the column header of the files list, and then click one of the fields listed, or click More.
  • In the Choose Details dialog box, you can reorganize the order of column headers, specify column widths, and add columns to display details for the files in that folder.

When you click the new column header, the width of the selected column is displayed in pixels in the Choose Details dialog box.

Using a Folder Type as a Template

Every Windows XP folder provides a list of hyperlinked tasks appropriate to that type of folder next to the folder contents. For example, the Pictures folder type contains task links for ordering prints online and for printing pictures. If you want to use a folder type as a template for a selected folder, follow these steps:

  • Right-click a newly created folder, and then click Properties.
  • Click the Customize tab.
  • In the Use this folder type as a template list, click the template type you want to apply, and then click OK.

Now, when you open the new folder, it will contain a hyperlinked task list common to the type of folder you selected as the template.

Create a Personal Screen Saver

For a great way to put your digital photos to work, try creating a slide show presentation for use as a screen saver.

  • Right-click an empty spot on your desktop and then click Properties.
  • Click the Screen Saver tab.
  • In the Screen saver list, click My Pictures Slideshow.
  • Click Settings to make any adjustments, such as how often the pictures should change, what size they should be, and whether you'll use transition effects between pictures, and then click OK.

Now your screen saver is a random display of the pictures taken from your My Pictures folder.

Keep Your Favorite Programs Near the Top of the Start Menu

Do you have a favorite application that you frequently use? If so, you can elevate its priority on the Start menu by putting it at the top of the list. This ensures that the program will remain on the Start menu and cannot be bumped by other programs, even if you use the others more frequently.

  • Right-click the link to your favorite program on the Start menu and select Pin to Start Menu.
    Your program will be moved permanently to the top part of the list, just below your browser and e-mail programs.

Use the Address Bar to Launch Programs or Web Page. Windows XP enhanced the functionality of the Address bar to make it easier to launch your favorite programs. You can add the Address bar to the taskbar on the bottom of your desktop. Then you can launch programs simply by entering their names in the Address bar.

For example, to launch Calculator, simply enter calc in the Address bar. Anything you would normally enter in the Run box on the Start menu can be entered in the Address bar. The Address bar also lets you quickly go to any Web page you specify.

To add the Address bar to the taskbar:

  • Right-click an empty area on the taskbar.
  • Point to Toolbars, and then click Address.
  • Open the Address bar by double-clicking it.

Manually Put Your Computer into Hibernation

Hibernation is a cool feature in Windows XP that is 'hidden' in the Shut Down dialog box. If you have enabled hibernation on your computer, you can manually place it into hibernation. But first, it must be enabled. To enable hibernation support on your computer, you must be logged on as an administrator or a member of the Administrators or Power Users group. If your computer is connected to a network, network policy settings may prevent this procedure.

  • Click Start, click Control Panel, click Performance and Maintenance, and then click Power Options.
  • Click the Hibernate tab, and then select the Enable hibernate support check box. If the Hibernate tab is not available, your hardware does not support this feature.
  • Click OK to close the Power Options dialog box.

Note: When you put your computer into hibernation, everything in computer memory is saved on your hard disk. When you turn the computer back on, all programs and documents that were open when you turned the computer off are restored on the desktop.

Here's a shortcut to hibernate:

  • Hold down shift key in the shutdown dialog, then hit ENTER.
  • or just hit H.
  • or make your power button do hibernate through the Power Options dialog

Display the Quick Launch Toolbar

Is your Quick Launch toolbar missing from the taskbar?

To display the familiar Quick Launch toolbar:

  • Right-click an empty area on the taskbar.
  • Click Toolbars, and then click Quick Launch.

Easy as that your Quick Launch bar appears.

To add items to your Quick Launch toolbar:

  • Click the icon for the program you want to add, and drag it to the Quick Launch portion of the taskbar.

Don't Ignore the Windows Logo Key

The Windows logo key, located in the bottom row of most computer keyboards is a little-used treasure. Don't ignore it. It is the shortcut anchor for the following commands:

Windows: | Display the Start menu.
Windows + D: | Minimize or restore all windows.
Windows + E: | Display Windows Explorer.
Windows + F: | Display Search for files.
Windows + Ctrl + F: | Display Search for computer.
Windows + F1: | Display Help and Support Center.
Windows + R: | Display Run dialog box.
Windows + break: | Display System Properties dialog box.
Windows + shift + M: | Undo minimize all windows.
Windows + tab: | Move through taskbar buttons.
Windows + L: | Lock the workstation (or switch to the Logon screen w/Fast User Switching enabled).
Windows + U: | Open Utility Manager.

Fast User Switching

If you have multiple users logged on to your machine, you can bypass the Welcome screen to switch users:

  • Go to the User tab in Task Manager, right-click on a user and choose Connect.

Place a "Run" Icon On Your Desktop

  • Open the Start Menu and drag the Run option on to your desktop.

You may want to rename it to get rid of the ampersand. Now you will be able to double-click the "Run" icon on your desktop to go directly to the Run dialog.

Skip the Recycle Bin Confirmation Message

When you delete items by moving them to the Recycle Bin, Windows displays a message confirming the deletion: "Are you sure you want to send FILENAME to the Recycle Bin?" If you’re tired of clicking an answer to that question, you can configure Windows XP to skip the confirmation message whether or not you’re using the Recycle Bin.

  • Right-click the Recycle Bin, and then click Properties.
  • In the Recycle Bin Properties dialog box, clear the Display delete confirmation dialog check box, and then click OK.
  • If you don’t want to use the Recycle Bin at all, in the Recycle Bin Properties dialog box, select the Do not move files to the Recycle Bin. Remove files immediately when deleted check box.

Manually Install Backup in Windows XP Home Edition

The Backup utility is not included in the default installation of Windows XP Home Edition. The Backup icon is not present on the Start menu in Windows XP Home Edition, nor is Backup listed in Add/Remove Programs for Windows XP Home Edition. The backup program is found on the Windows XP Home Edition CD in the Valueadd folder.

  • Double-click the Ntbackup.msi file in the following location on the Windows XP Home Edition CD to start a wizard that installs Backup:
    CD-ROM Drive:\VALUEADD\MSFT\NTBACKUP
  • When the wizard is complete, click Finish.

Create a Keyboard Shortcut to Open a Folder

Do you have a folder to which you want instant access from anywhere on your computer? For example, if you want the My Music folder to pop up while Internet Explorer or Word is maximized, follow these steps:

  • Select the folder in Windows Explorer.
  • Create a shortcut, and place it on the desktop. (You create a shortcut by opening the folder, pointing to New on the File menu, then clicking Shortcut. Drag the shortcut to your desktop.)
  • Right–click the new shortcut, and then click Properties.
  • In the Properties dialog box, click the Shortcut tab, and in the Shortcut key box, enter a Control key combination or a Control–Shift key combination, (that is, Ctrl+Alt+M or Ctrl+SHIFT+M when M is for music), and then click OK.

Anytime you hit the key combination you specified, your folder will open, even when other programs are maximized! This tip can be applied to folders, programs, and text file shortcuts that are placed on the desktop.

Add an Item to the Send To Menu

You can create a new shortcut on the Send To menu, for example, one that goes to a frequently-used folder.

  • Open My Computer, and double-click the drive where Windows is installed, which is usually drive C.
  • Double-click the Documents and Settings folder, and then double-click the folder for the particular user.
  • Double-click the Send To folder. The Send To folder is hidden by default. To see the Send To folder, click Tools, click Folder Options, and then click Show hidden files and folders.
  • On the File menu, point to New, and then click Shortcut.
  • Follow the instructions to create a shortcut.

Now, when you right-click a file, and click Send To, the shortcut to the item you selected will be an option. You can create shortcuts to local or network programs, files, folders, computers, or Internet addresses.

Change the Picture on the Welcome Screen

If your computer is a member of a workgroup or is a stand-alone computer, you can replace the picture on the Welcome screen with another picture. First, store a head shot that you’ve scanned or taken with a digital camera in the My Pictures folder. The picture will be automatically resized to fit the picture box, so don’t worry too much about getting an exact size, and then follow these steps:

  • Click Start, click Control Panel, and then click User Accounts.
  • Click your account name, and then click Change My Picture.
  • Click the picture you like, and then click Change Picture.
  • To find the user’s picture, click Browse for more pictures, click the picture you want to use, and then click Open.

Now, when you open the Welcome screen, you will see the new picture.

Change the Start Menu Style

Does the new Windows XP Start menu take up too much space on your desktop? You can easily change the look back to the Windows Classic Start menu by following these steps:

  • Right–click the Start button, and then click Properties.
  • Click Classic Start menu.
  • Click the Customize button to select items to display on the Start menu.

By default, selecting the Classic Start menu also adds the My Documents, My Computer, My Network Places, and Internet Explorer icons to your desktop.

Add a Map Drive Button to the Toolbar

Do you want to quickly map a drive, but can’t find the toolbar button? If you map drives often, use one of these options to add a Map Drive button to the folder toolbar.

Option One (Long Term Fix):

  • Click Start, click My Computer, right-click the toolbar, then unlock the toolbars, if necessary.
  • Right-click the toolbar again, and then click Customize.
  • Under Available toolbar buttons, locate Map Drive, and drag it into the position you want on the right under Current toolbar buttons.
  • Click Close, click OK, and then click OK again.

You now have drive mapping buttons on your toolbar, so you can map drives from any folder window. To unmap drives, follow the above procedure, selecting Disconnect under Available toolbar buttons. To quickly map a drive, try this option.

Option Two (Quick Fix):

  • Click Start, and right-click My Computer.
  • Click Map Network Drive.

If you place your My Computer icon directly on the desktop, you can make this move in only two clicks!

Add Familiar Icons Back to Your Desktop

It’s the case of the missing icons. Many of you may be wondering where all the icons from your desktop are in Windows XP? You can place at least My Computer, My Network Places, and My Documents on the desktop.

  • Right-click on the desktop, and then click Properties.
  • Click the Desktop tab and then click on Customize Desktop.
  • Put a check mark in the box next to My Document, My Computer, My Network Places, or Internet Explorer, to add those familiar icons to your desktop.

Unlock Toolbars to Customize Them

Windows XP now features locking toolbars, and you can adjust them. You can customize a lot of the Windows XP features such as the Taskbar, Start Menu, and even toolbar icons in Internet Explorer and Outlook Express.

  • Right-click on a toolbar, and then click Lock the Toolbars to remove the check mark.
  • Right-click on the toolbar again, and then click Customize. You can add and remove toolbar buttons, change text options and icon options.
  • When you've got the toolbar customized, click Close.
  • Now right-click on the toolbar and then click Lock the Toolbars to lock them in place.

Keep Your Favorite Programs Near the Top of the Start Menu

Do you have a favorite program that you frequently use? Elevate its priority on the Start menu by putting it at the top of the list. This ensures that the program will remain on the Start menu and cannot be bumped by other programs, even if you use the others more frequently.

  • Right-click the link to your favorite program on the Start menu and select Pin to Start Menu.

Your program will be moved permanently to the top part of the list, just below your browser and e-mail programs.

Use the Address Bar to Launch Programs or Web Pages

Windows XP Professional enhanced the functionality of the Address bar to make it easier to launch your favorite programs. You can add the Address bar to the taskbar on the bottom of your desktop. Then you can launch programs simply by entering their names in the Address bar.

For example, to launch Calculator, simply enter calc in the Address bar. Anything you would normally enter in the Run box on the Start menu can be entered in the Address bar. The Address bar also lets you quickly go to any Web page you specify.

  • Right-click an empty area on the taskbar.
  • Point to Toolbars, and then click Address.
  • Open the Address bar by double-clicking it.

Create a Personal Screen Saver

For a great way to put your digital photos to work, try creating a slide show presentation for use as a screen saver.

  • Right–click an empty spot on your desktop, and then click Properties.
  • Click the Screen Saver tab.
  • In the Screen saver list, click My Pictures Slideshow.
  • Click Settings to make any adjustments, such as how often the pictures should change, what size they should be, and whether you’ll use transition effects between pictures, and then click OK.

Now your screen saver is a random display of the pictures taken from your My Pictures folder.

Turn on ClearType Font-Rendering Technology

Get that extra text clarity you've always wanted. The incredible Microsoft ClearType® technology can be enabled in Windows XP to smooth all fonts at all sizes, making the whole system so much easier to read. I don't know how I lived without it!

  • Click Start, click Control Panel, and then click Appearance and Themes.
  • Click the Display icon, click the Appearance tab, and then click Effects.
  • Click the Use the following method to smooth edges of screen fonts check box to select it, and select ClearType from the list.
  • Click OK, and then click OK again.

Use a Shortcut to Local Area Network Connection Information

Something new in Windows XP—instead of using the command line program and typing ipconfig to find local area network information, you can use the following shortcut:

  • Click Start, point to Connect to, and then click Show All Connections.
  • Right–click the connection you want information about, and then click Status.
  • In the connection Properties dialog box, click the Support tab.
  • For even more information, click the Advanced tab.
  • To automatically enable the status monitor each time the connection is active, in the connection Properties dialog box, select the Show icon in taskbar notification area when connected check box.

Synchronize Your Computer Clock with an Internet Time Server

Does your computer have the right time? If your computer is not part of a domain, you can synchronize your computer clock with an Internet time server.

  • Double–click the time on your task bar.
  • Click the Internet Time tab.
  • Select the time server you want to use and make sure to select the Automatically synchronize with an Internet time server check box.
  • Make sure that you have set the correct date before you attempt to synchronize your clock, because the Internet time server won’t update the time if the date is wrong.
  • If you have a personal or network firewall, you may have to tweak the settings to unblock time synchronization.

Renew and Release IP Addresses

You can use the command-line tool IPCONFIG to get network information such as your IP address and to perform other tasks for troubleshooting network issues.

However, if you prefer a graphical user interface over command lines, you can download a GUI tool that will run on Windows XP and Windows 2000. The tool that’s installed is Wntipcfg.exe.

The tool identifies your IP address, subnet mask, and default gateway for each of your network interfaces, including the interface for your network adapter, your dial-up networking interface, and your PPTP interface. It allows you to click a button to Release, Renew, Release all, or Renew all when configuring an IP address.

To download and install the tool:

  • Open the Windows 2000 Resource Kit tool download page Wntipcfg.exe: Windows NT IPConfig Utility
  • Click the download link in the box at the top right corner of the page.
  • In the File Download dialog box, select Save this program to disk.
  • Select a location on your computer to save the file, and then click Save.
  • In Windows Explorer, go to the location where you saved the downloaded file, double-click the file to start the installation process, and then follow the instructions.

To provide quick access from the Run line, install the program to C:\Documents and Setting\yourusername or the equivalent. Or, create a shortcut to the program on your start menu or desktop.

Customize the Internet Explorer 6 Toolbar

You can choose which features you want on the Internet Explorer 6 toolbar. If you want to simplify the toolbar, you can remove icons, change to smaller icons, or remove the text labels displayed next to the icons.

  • Right–click the Standard toolbar, and then click Customize.
  • In the Text options list, click No text labels to remove them.
  • In the Icon options list, click Small icons to change the default setting.
  • In the Current toolbars list, click any icon that you want to remove, and then click Remove.
  • To keep your changes safe, right–click the toolbar again, and make sure to select the Lock Toolbars check box.

Change Web Page Font Size on the Fly

If your mouse contains a wheel for scrolling, you can change font size on the fly when viewing a Web page.

  • Press and hold Ctrl.
  • Scroll down (or towards yourself) to enlarge the font size.
  • Scroll up (or away from yourself) to reduce the font size.

You might find it useful to reduce font size when printing a Web page, so that you can fit more content on the page.

Use AutoComplete to Enter Addresses Faster in Internet Explorer 6

The AutoComplete feature in Internet Explorer 6 can fill in the prefix and suffix of Web addresses so all you must enter is the name.

  • Just type the name in the address bar and hold down the Control key while you press Enter. Internet Explorer 6 automatically adds the http:// and the www. and the .com.

For example, click in Address bar and type MSN, and then hold down the Control key and press Enter. Internet Explorer 6 will go to the address http://www.msn.com

Manually Put Your Computer Into Hibernation

If you are using Windows XP Home Edition, or Windows XP Professional with Fast User Switching turned on, the Turn Off Computer menu will present the options to Stand By, Turn Off, or Restart your computer. You might want to put your computer into Hibernate mode, a cool feature in Windows XP that is hidden in the Turn Off Computer box.

To manually place your computer into hibernation (after enabling hibernation on your computer) follow this tip:

  • Click Start, and then click Turn off computer.
  • Press and hold the Shift key. The label under the first button on the left changes from Stand By to Hibernate.
  • Click the Hibernate button.

To enable hibernation support on your computer:

  • You must be logged on as an administrator or a member of the Administrators or Power Users group. If your computer is connected to a network, network policy settings may prevent this procedure.
  • Click Start, click Control Panel, click Performance and Maintenance, and then click Power Options.
  • Click the Hibernate tab, and then select the Enable hibernate support check box. If the Hibernate tab is not available, your hardware does not support this feature.
  • Click OK to close the Power Options dialog box.

Note: When you put your computer into hibernation, everything in computer memory is saved on your hard disk. When you turn the computer back on, all programs and documents that were open when you turned the computer off are restored on the desktop.

Add a Voice Message to an E-Mail Message

Personalize e-mail with a voice message? You can perform this task using the Windows XP Sound Recorder and a microphone. First, open the sound recorder:

  • Click Start, click Programs, click Accessories, click Entertainment, and then click Sound Recorder.
  • On the File menu, click New.
  • To begin recording, click Record, and to stop recording, click Stop.
  • Save the .wav file to a folder of your choice.
  • Attach the file to an e-mail message.

To record sounds, your computer must be equipped with a microphone. Recorded sounds are saved as waveform (.wav) files.

Stop Windows Messenger From Signing In

If you’re running Windows Messenger and it signs you in, even when you don’t want it to, follow these steps to turn off signing in automatically:

  • Click Start, click Control Panel, and then click User Accounts.
  • On the Advanced tab, click Manage Passwords.
  • In Store User Names and Passwords, select Passport.Net/*, and then click Remove. This removes your Passport’s connection to your computer, but doesn’t delete your Passport.
  • Click Close, and then click OK.

When you restart Windows Messenger, it won’t sign you in automatically.

Activate NetMeeting

Using NetMeeting, you can participate in virtual meetings, work in shared applications, and share data over the Internet or your company intranet. NetMeeting is actually already installed after you perform a full install of Windows XP, but it won’t appear on the Start menu until it's activated.

  • Click Start, then Run, and enter Conf.
  • Click OK.
  • In the NetMeeting Wizard, supply the necessary information, and then select the Put a shortcut to NetMeeting on my desktop (or on my Quick Launch bar) check box.

NetMeeting should start and is now listed in the most frequently used programs list on the Start menu.

Add Administrative Tools to Your Start Menu

If you are an administrator to your Windows XP Professional machine, you might want to be able to perform administrative functions. Yet, it is sort of a hassle to navigate to the Control Panel and select the Administrative Tools from there.

  • Right–click the Start menu, and then click Properties.
  • On the Start Menu tab, click Customize.
  • Click the Advanced tab, and under Start menu items, scroll to System Administrative Tools.
  • Click Display on the All Programs and the Start menu.

You can navigate through those tools right from the comforts of the Start menu.

Access the Administrator Account from the Welcome Screen

If you are at the Welcome screen and want to log on with the Administrator account, but it’s not listed:

  • Press Ctrl+Alt+Del twice to bring up the Windows 2000 logon window, which then allows you to log on as Administrator.

Logging on at the Welcome screen is not available on computers that are members of a network domain.

Three New Command-Line Tools

If you’re running Windows XP Professional, you can use a number of great new command-line tools:

  • Use schtasks.exe to script the scheduling of tasks from the command line.
  • Defragment your drives from the command line with defrag.exe.
  • Query all or any of the event logs from the command line with eventquery.vbs.

To execute some of these commands, you must be a member of the Administrators group on the computer that the command affects.

Change Drive Letters in Windows XP

When you add drives to your computer, such as an extra hard drive, a CD drive, or a storage device that corresponds to a drive, Windows automatically assigns letters to the drives. However, this assignment might not suit your system; for example, you might have mapped a network drive to the same letter that Windows assigns to a new drive.

  • Right-click My Computer, and then click Manage.
  • Under Computer Management, click Disk Management. In the right pane, you’ll see your drives listed. CD-ROM drives are listed at the bottom of the pane.
  • Right-click the drive or device you want to change, and then click Change Drive Letter and Paths.
  • Click Change, click Assign the following drive letter, click the drive letter you want to assign, and then click OK.

You will not be able to change the boot or system drive letter in this manner. Many MS-DOS-based and Windows-based programs make references to a specific drive letter (for example, environment variables). If you modify the drive letter, these programs may not function correctly.

Temporarily Assign Yourself Administrative Permissions

Many programs require you to have Administrative permissions to be able to install them. Here is an easy way to temporarily assign yourself Administrative permissions while you remain logged in as a normal user.

  • Hold down the Shift key as you right-click on the program’s setup file.
  • Click Run as.
  • Type in a username and password that have Administrative permissions.

This will also work on applications in the Start menu.

Enable Services to Work Through Internet Connection Firewall

When people are having trouble getting to specific programs or services on your Windows XP machine after you enable Internet Connection Firewall (ICF), you may need to enable the program or service to work through the firewall.

  • Click Control Panel, click Network and Internet Connections, and then click Network Connections.
  • Right-click your Internet connection, and then click Properties.
  • Click the Advanced tab in the Properties dialog box.
  • Click Settings, and the Advanced Settings dialog box opens.
  • From there you can enable most common services just by clicking them, or add your own by clicking the Add button.

Disable the Shut Down Button on the Welcome Screen

Do you have little ones that like to click all over the screen when you’re not looking? Afraid of someone shutting down the computer without logging on?

  • Click Start, click Control Panel, click Performance and Maintenance, and then click Administrative Tools.
  • Double-click Local Security Policy.
  • Expand Security Settings, then expand Local Policies, and then click Security Options.
  • In the right pane, double-click the Shutdown: Allow system to be shut down without having to log on policy, click the Disabled radio button, and then click OK.

No more shutting down without logging on!

Create a Desktop Shortcut to Lock Your Computer

You secure your computer by locking it whenever you’re away from your desk. If you’re on a domain, by pressing Ctrl+Alt+Del and then clicking Lock Computer, you can prevent unauthorized users from gaining access to your computer. Only you and members of the Administrators group on your computer can unlock it. (You unlock it by pressing Ctrl+Alt+Del, typing your password, and then clicking OK.)

To create an even quicker means of securing your computer, place a shortcut on your desktop to lock your computer:

  • Right-click an open area of your desktop, point to New, and then click Shortcut.
  • In the Location box, type %windir%\System32\rundll32.exe user32.dll,LockWorkStation
  • Click Next, in the Name box type a name for the shortcut such as, Lock Computer, and then click Finish.

Update Computer Clock Through a Firewall

If your computer is a member of a domain, your computer clock is probably synchronized automatically by a network time server. If your computer is not a member of a domain, you can synchronize your computer clock with an Internet time server.

However, the Internet Time service in its default state does not work with Internet Connection Firewall enabled on a dial-up connection in Windows XP.

  • Click Start, point to Connect to, and then click Show all connections.
  • Right-click your dial-up account, and then click Properties.
  • On the Advanced tab, click Settings.
  • Click the Add button, and type Internet Time Service for the description.
  • Enter 127.0.0.1 for the IP address, and enter 123 for both the External and Internal port numbers, and then make sure that TCP is selected.
  • Click OK three times until the Properties dialog box closes.
  • If you’re online, a message box tells you that you need to disconnect and reconnect for the settings to take effect. When you double-click the clock on the taskbar, and then click Update Now on the Internet Time tab, your clock will be synchronized with an Internet time server.

Show Encrypted Files in Color

You can encrypt files and folders on NTFS volumes to hide their content from other users. To quickly identify encrypted files and folders in your system, follow this tip to display the name of the encrypted file or folder in color.

  • Double-click My Computer, and then click Folder Options on the Tools menu.
  • Click the View tab.
  • Select the Show encrypted or compressed NTFS files in color check box, and then click OK.

Now the name of the encrypted file or folder is listed in color within Windows Explorer. The EFS feature is not included in Windows XP Home Edition.

Remove Record of Recently Used Documents

In Windows XP Professional, the Start menu contains a My Recent Documents folder that contains 15 of your recently used documents.

To remove the record of recently accessed documents:

  • Right-click Start, click Properties, and then click Customize.
  • Click the Advanced tab, and then click Clear List. If you're using the Classic Start menu, click Clear.
  • Clicking Clear List empties the My Recent Documents folder. It doesn’t delete the documents from your computer.

If you don’t want to include anything in the My Recent Documents folder:

  • On the Advanced tab, click Customize, and then clear the List my most recently opened documents check box.
  • In Windows XP Home Edition, My Recent Documents is not automatically listed on the Start menu. You can turn on this feature by right-clicking Start, clicking Properties, clicking Customize, and then selecting the List my most recently opened documents check box.

Set Permissions for Shared Files and Folders

Sharing of files and folders can be managed in two ways. If you chose simplified file sharing, your folders can be shared with everyone on your network or workgroup, or you can make your folders private. (This is how folders are shared in Windows 2000.) However, in Windows XP Professional, you can also set folder permissions for specific users or groups. To do this, you must first change the default setting, which is simple file sharing.

  • Open Control Panel, click Tools, and then click Folder Options.
  • Click the View tab, and scroll to the bottom of the Advanced Settings list.
  • Clear the Use simple file sharing (Recommended) check box.
  • To manage folder permissions, browse to the folder in Windows Explorer, right–click the folder, and then click Properties. Click the Security tab, and assign permissions, such as Full Control, Modify, Read, and/or Write, to specific users.

You can set file and folder permissions only on drives formatted to use NTFS, and you must be the owner or have been granted permission to do so by the owner.

Stop Getting Tricked into Running Viruses

Stop getting tricked into running viruses because you don’t see the file extension of an attachment.

  • Click Start, click My Computer, and on the Tools menu, click Folder Options.
  • Clear the Hide file extensions for known file types check box, and then click OK.

Now when you receive a file called something.jpg.vbs, you’ll see the .vbs extension and know that it is not an ordinary .jpg file.

Install the Recovery Console on Your Computer

You can install the Recovery Console as an option on your startup menu and use it to recover your system in the event that safe mode and other startup options don’t work. This tool is for advanced users.

  • With Windows XP running, insert your Windows XP CD in the drive, and click Exit when the installation options are displayed.
  • Click Start, click Run, and then type D:\i386\winnt32.exe /cmdcons Where D: is the CD-ROM drive letter, and then press Enter. (There is a space between .exe and the slash.)
  • Follow the instructions on screen to install the Recovery Console, and when the installation is complete, restart your computer. The Recovery Console will show up in the list of available operating systems in the Startup menu. You must be an administrator to use the Recovery Console.
    If the i386 directory is already installed on your computer (as might be the case in computers purchased with Windows XP pre-installed), you can use the same syntax as in Step 2, using the [path]\i386 directory without having to use the CD.

An alternative method is to boot to the CD and start WINNT.EXE, then when prompted to Install or Repair, click Repair, which installs the Recovery Console for you.

If Windows XP will not start, you can run the Recovery Console from the Setup CD.

Modify Boot.ini

Windows XP uses the Boot.ini file to determine the operating system options to display during the startup (boot) process. Boot.ini is set with the hidden and system file attributes and flagged as read-only by default.

Have you been changing Boot.ini lately? Are you tired of opening Folder Options, and clicking Show hidden files and folders on the View menu, so you can see Boot.ini in Windows Explorer? Or worse, did you forget to remove the read-only attribute before editing the file?

You can use the command-line tool, Bootcfg.exe, to quickly edit your Boot.ini file. You can modify the timeout (the amount of time Windows waits before choosing the default operating system), and add additional entries.

  • Click Start, click Run, and then type cmd.
  • Type bootcfg.exe
  • Check out bootcfg.exe /? for more options.

Restore Declined Windows Update Reminders

Windows Update scans your computer and provides you with a selection of updates that apply only to the software and hardware on your computer. The updates include security fixes, drivers, critical updates, and the latest Help files to keep your computer up to date. If you choose not to install a specific update that has been downloaded, Windows deletes its files from your computer.

  • Click Start, click Control Panel, click Performance and Maintenance, and then click System.
  • On the Automatic Updates tab, click Restore Declined Updates.

If any of the updates you previously declined still apply to your computer, they will appear the next time Windows notifies you of available updates. You can always install specific updates from the Windows Update Web site, by opening Windows Update in Help and Support Center.

Speed up Menu Display

You can use this tip to speed up the way menus display in Windows XP.

  • Click Start, click Control Panel, click Performance and Maintenance, and the click System.
  • Click the Advanced tab, and under Performance, click the Settings button.
  • Clear the Fade or slide menus into view check box, and then click OK.
  • Now when you bring up a collapsed menu, it will expand without delay.

Compress Files and Folders in Windows XP

Running out of room on your hard disk? Need some extra space to install a new program? Don't worry, Windows XP comes to the rescue. Both Windows XP Professional and Home Edition now include a zip compression utility that you can use to compress files and folders on your hard disk.

To compress a file or folder:

  • Right–click the file or folder.
  • Point to Send To.
  • Then click Compressed (zipped) Folder.

This will make a compressed folder, identified by a zipper icon, which displays the same name as the file you compressed.

You can also make a compressed folder from scratch, by following these steps:

  • Right–click the desktop.
  • Point to New.
  • Click Compressed (zipped) Folder.
  • Open the new compressed folder and drag files inside that you would like compressed.

Modify Settings to Improve Performance

Windows XP uses processor time to handle system performance according to default settings, which can be adjusted for your computing needs. Also, settings that govern visual effects enhance the appearance of the Windows XP interface, but can slow down performance.

  • Right–click My Computer, and then click Properties.
  • Click the Advanced tab, and in the Performance area, click Settings.
  • On the Visual Effects tab, click the Custom radio button, and then select which UI features to disable to improve performance.
  • Click the Advanced tab, and in the Processor scheduling area, click the Background services radio button. Selecting this option means that background tasks that you want to run while you work, such as backup utilities or print jobs, will share processor time equally with programs.
  • You may need to be logged on as an Administrator to make these changes. Note that applying these settings may change your current desktop theme.

Perform a Repair Installation

How do you perform a reinstallation of Windows XP, sometimes called a repair installation?

  • Configure your computer to start from the CD-ROM drive. For more information about how to do this, refer to your computer's documentation or contact your computer manufacturer.
  • Then insert your Windows XP Setup CD, and restart your computer.
  • When the Press any key to boot from CD message is displayed on your screen, press a key to start your computer from the Windows XP CD.
  • Press ENTER when you see the message To setup Windows XP now, and then press ENTER displayed on the Welcome to Setup screen. Do not choose the option to press R to use the Recovery Console.
  • In the Windows XP Licensing Agreement, press F8 to agree to the license agreement. Make sure that your current installation of Windows XP is selected in the box, and then press R to repair Windows XP.
  • Follow the instructions on the screen to complete Setup.

Check for Disk Errors in Windows XP

The ScanDisk utility is not available in Windows XP. However, you can use the Error-Checking tool in Windows XP to check the integrity of your hard disk.

  • Double-click My Computer, and then right-click the local disk that you want to check.
  • Click Properties, and then click Tools.
  • Under Error-checking, click Check Now.
  • Under Check disk options, select the Scan for and attempt recovery of bad sectors check box.
  • Click Start.

Create Your Own Restore Points

Windows XP makes it easy for you to take a snapshot of critical system files before you make any major changes, such as installing new software, adding hardware devices, or changing the registry. (Windows XP automatically creates system restore points, called system checkpoints, but you can create your own to make it even easier to recover your system in case of a failure.) Note that using restore points doesn’t affect your personal files, such as the My Documents or Favorites folders.

  • Click Start, point to All Programs, point to Accessories, point to System Tools, and then click System Restore.
  • In the System Restore dialog box, click Create a restore point, and then click Next.
  • Type a description for your restore point, such as "Before Office XP", then click Create.
  • If your system fails, press F8 in the boot menu, and then click Last known good configuration. Windows XP restores your system to the most recent restore point.

Format Backup Drives with NTFS

Are you planning to backup your computer data using the Automated System Recovery Wizard or Backup utility in Windows XP Professional?

Be sure the destination drive, on which you store the backup, is formatted with the NTFS file system. The FAT32 file system can store no more than 4 gigabytes in a file. That may not be large enough for a backup file that contains everything on your computer. The NTFS file system does not have the 4-GB limitation on file size.

To convert the destination drive to NTFS:

  • Click Start, click Control Panel, click Performance and Maintenance, click Administrative Tools, and then double-click Computer Management.
  • Click Disk Management.
  • Right-click the volume (disk) you want to format (or reformat), and then click Format. Select the options you want, and then click OK.

To convert a volume to NTFS from the command prompt:

  • Click Start, click Run, and then type: cmd
  • Click OK.
  • In the command prompt window, type: convert drive_letter: /fs:ntfs
    For example, typing convert D: /fs:ntfs would format drive D: with the NTFS format.

For a safe backup, use a removable disk or tape as the destination for your backup files. In case of a total system disk failure, you can use this removable disk or tape and the floppy disk with system settings that you can create using the ASR Wizard to recover your system.

Clear System Restore Points for Performance

You keep your system as clean as possible, clearing your Temp Folder, and Temporary Internet files. But what about other space hogs?

What about System Restore Points? By default, Windows XP creates a restore point after installing Windows XP, once every 10 hours that Windows XP is running, or every 24 hours. It also creates a restore point when you install a new program, or install an update to Windows XP. And you can manually create restore points at any time. You can end up with a number of restore point files, which can be large.

So how do you clean them out? First, make sure your system is stable. There will be a brief period when you won't have a restore point.

  • Click Start, click All Programs, click Accessories, click System Tools, and then click System Restore.
  • Click to add a check mark beside Turn off System Restore on all Drives, and click Apply.
  • When you are warned that all existing Restore Points will be deleted, click Yes to continue.
  • All system restore points are deleted. Now you should manually create a restore point.
  • Click Start, click All Programs, click Accessories, click System Tools, and then click System Restore.
  • Click Create a Restore Point, and then click Next.
  • Name your restore point. ( I use the date as well as a descriptive term such as "After Restore Point Deletion.")

Disable Error Reporting

You can get rid of the Windows XP error report messages if you don't want to send another one in.

  • Click Start, and then click Run.
  • Type msconfig to open the System Configuration Utility.
  • Click the Services tab.
  • Clear the Error Reporting Service check box, and then click OK.
  • Hit Restart to reboot your system.

Your computer will now start without loading the error reporting service.

Review Upgrade Report

Are one or more of your programs not working after an upgrade? Are you experiencing hardware issues? Did you forget to completely read the upgrade report during the upgrade to Windows XP? You can still review the upgrade report after Setup is complete.

  • Click Start, and then click Run.
  • Type upgrade.txt to review the upgrade report.
  • This document is stored in C:\WINDOWS.

Roll Back to the Previous Version of a Driver

Have you ever installed a device driver that makes your system unstable? I know I have. Well, in Windows XP you can roll back such a change if it causes you problems!

  • Click Start, and then click Control Panel.
  • Click Performance and Maintenance, and then click Administrative Tools.
  • Double–click Computer Management, and then click Device Manager in the left pane.
  • Right–click the device for which you'd like to roll back the drivers, and then click Properties.
  • On Driver tab of the Properties dialog box, click Roll Back Driver, and follow the wizard's instructions.

It's that simple, although you need to be an administrator or a member of the Administrators group to complete this procedure.

Create an MS-DOS Startup Disk

You can easily create a bootable floppy disk by following these steps:

  • Place a blank disk in the floppy disk drive.
  • Click Start, and then click My Computer.
  • Right–click the floppy disk drive, and then click Format on the shortcut menu.
  • Click Create an MS–DOS startup disk, and then click Start. Now you’re on your way to a bootable startup disk.

Note: The MS-DOS startup disk only allows the system to boot into an MS-DOS prompt. The disk contains no additional tools.

Create a Password Reset Disk

If you’re running Windows XP Professional as a local user in a workgroup environment, you can create a password reset disk to log onto your computer when you forget your password.

  • Click Start, click Control Panel, and then click User Accounts.
  • Click your account name.
  • Under Related Tasks, click Prevent a forgotten password.
  • Follow the directions in the Forgotten Password Wizard to create a password reset disk.
  • Store the disk in a secure location, because anyone using it can access your local user account.

Remove Icons for USB Devices from Notification Area

If you have an USB device attached to your system, you will notice an icon in the notification area. When you click this icon, you’re given the option to stop your hardware before you unplug it. It’s possible that you never unplug this hardware.

  • Right-click within the notification area, and then click Properties.
  • In the Display Properties dialog box, click the Appearance tab, and then click Advanced.
  • On the Taskbar tab, click Customize.
  • Select Safely remove hardware, and in the Behavior column, click Always hide.
  • You may also hide the icon for a particular USB device by right-clicking its icon on the taskbar, and then clicking Hide Icon.

USB stands for Universal Serial Bus. This is the name for a class of hardware that makes it easy to add peripheral devices (such as a mouse, keyboard, joystick, or digital camera) to your computer. If your mouse, keyboard, game controller, scanner, or other device has a USB connector, you can plug it into a USB port.

Turn On the Sticky Keys Feature

When a shortcut requires a key combination, the StickyKeys feature lets you press a modifier key, such as Shift, Ctrl, Alt, or the Windows Logo key, and have it remain active until another key is pressed.

  • Press the Shift key five times. A dialog box opens with instructions on how to set up the StickyKeys feature.
  • If you click OK, an icon (a group of squares) appears in the notification area.
  • To turn off StickyKeys, press the Shift-key five times.

Turn Off Autoplay for Program CDs

How can you stop Windows XP from launching program CDs?

  • Click Start, click Run, type GPEDIT.MSC to open Group Policy in the Microsoft Management Console.
  • Double-click Computer Configuration, double-click Administrative templates, double-click System, and then click Turn off autoplay. The instructions on your screen describe how to configure this setting.
  • Click Properties to display the setting dialog. Click Enabled, and choose CD-ROM drives, then click OK, to stop CD autoplay. This setting does not prevent Autoplay for music CDs.

Turn on ToggleKeys

ToggleKeys is designed for people who have vision impairment or cognitive disabilities. When ToggleKeys is turned on, your computer provides sound cues when the locking keys (CAPS LOCK, NUM LOCK, or SCROLL LOCK) are pressed. A high sound plays when the keys are switched on and a low sound plays when they are switched off.

  • Click Start, click Control Panel, and then click Accessibility Options.
  • Click the Keyboard tab, and under ToggleKeys, select the Use ToggleKeys check box.

To use the keyboard shortcut which allows you to turn ToggleKeys on and off by pressing the NUM LOCK key for five seconds, on the Keyboard tab, under ToggleKeys, click Settings.

If the Use shortcut check box in the Settings for ToggleKeys dialog box is selected, you can turn ToggleKeys on or off by holding down the NUM LOCK key for five seconds.

Turn on High Contrast

High Contrast is designed for people who have vision impairment. High contrast color schemes can make the screen easier to view for some users by heightening screen contrast with alternative color combinations. Some of the schemes also change font sizes for easier reading.

  • Click Start, click Control Panel, and then click Accessibility Options.
  • On the Display tab, under High Contrast, select the Use High Contrast check box.
  • To turn off High Contrast, clear the Use High Contrast check box.
  • If the Use shortcut check box in the Settings for High Contrast dialog box is selected, you can turn High Contrast on or off by pressing the left ALT+Left SHIFT+PRINT SCREEN keys (depending on the other settings you have selected in the Accessibility Options dialog box).
  • To open the Settings for High Contrast dialog box, open Accessibility Options, click the Display tab, and then, under High Contrast, click Settings.

Use Your Keyboard if Your Mouse Goes Dead

If your mouse is not functioning, don't panic. You can use your keyboard to move around the Windows XP desktop. The keys to get used to are the Windows key, the arrow keys, and the Enter key.

  • Press the Windows key.
  • Press the up arrow key one time to highlight Shut Down, and then press Enter.
  • Press the up and down arrow key to select Shut Down from the menu, and then press Enter.
  • Use your Esc key to cancel.

Move Your Taskbar to a New Spot

Is your taskbar taking up too much room? You can move it to any convenient location—simply drag it to the sides, top or bottom of your screen! You might need to unlock the taskbar first.

  • Right-click any open area on the Taskbar, then click Lock the Taskbar to clear the check mark.

Add Favorites with One Keystroke

You can quickly add a Web page to your Favorites folder with a single keystroke. The page is automatically added to your Favorites list without any further input from you.

  • Press Ctrl+D.

Set Your Browser to Open to a Page of Your Choice

Is there a site you always visit first when you browse the Web? Would you like it to be the first site you see when you start Internet Explorer? Just follow the steps below to change your home or "start" page.

  • Navigate to the Web page you want to see when you start Internet Explorer.
  • Click Tools on the menu bar, and then click Internet Options.
  • In the Home page area, click Use Current.

Make Sure Downloaded Files Are Easy to Find Later

With Windows XP, it's easier than ever to download software updates, games, sounds, pictures—just about anything. But sometimes it's hard to find them again on your hard disk. To make sure you can, specify where you want a downloaded file to go.

  • After you've indicated you want to download an item, a dialog box asks "What do you want to do with this file?" Select Save this program to disk.

A dialog box opens where you can specify a folder where you want the file to go.

Use Single-Click Everywhere

With single–click in Windows XP, navigating the files and folders on your hard disk is as easy as navigating the Web. You simply click an icon to open a program or document.

  • In the Tools menu in Windows Explorer, click Folder Options.
  • In the Click items as follows section, click Single–click to open an item (point to select).

Note: To access Windows Explorer, click Start, point to All Programs, and then click Windows Explorer.

Turning AutoComplete Addresses On or Off

The AutoComplete feature in Outlook Express in Windows XP saves you time by automatically completing addresses that you type when composing e–mail messages. However, if you don't want to use this feature, you can easily turn it off.

  • On the Tools menu in Outlook Express, click Options > Send tab, and then clear the Automatically complete e–mail addresses when composing check box.

Set Your Windows So They All Have the Same View

If you like to see lists of your files in a certain way—as large icons, for example, or with detailed information—Windows XP lets you set your view options for all your folders at once the way you want them.

  • On the Tools menu in Windows Explorer, click Folder Options.
  • Click the View tab.
  • Set the view for this folder the way you want it to be for all folders.
  • Click Like Current Folder, then click Yes to confirm, and click OK.

Note: To access Windows Explorer, click Start, point to All Programs, and then click Windows Explorer.

Customize the Taskbar

With Windows XP, you can customize your taskbar so you can do everything from one place, including start programs, view documents, and surf the Web. Simply right–click the background of the taskbar, point to Toolbars, and then click the toolbar you want to add: an Address bar, a Links bar, a toolbar containing all items on your desktop, or the Quick Launch bar.

You can also create your own toolbar from any folder. To create a toolbar from a folder:

  • Right–click the background of the taskbar, point to Toolbars, and then click New Toolbar. Navigate to the folder you want. A toolbar containing all items in that folder will be added to your taskbar.

You can drag the new toolbar to any location on your desktop. You can also easily remove a toolbar from the taskbar by right–clicking the taskbar and then clicking the item again to remove the check mark.

Show Hidden Program or System Files

Showing hidden files can come in handy—for example, say you've tried to delete everything from a floppy disk and the disk properties still indicate 100K of disk space is being used by hidden files.

  • On the Tools menu in Windows Explorer, click Folder Options.
  • Click the View tab.
  • Under Hidden files and folders, click Show hidden files and folders.

Note: To access Windows Explorer, click Start, point to All Programs, and then click Windows Explorer.

Rename a Series of Files

When you download photos from your digital camera, they often have unrecognizable names. You can rename several similar files at once with the following procedure. This also works for renaming other types of files.

  • Open the My Pictures folder. (Click Start, and then click My Pictures.) Or open another folder containing files that you want to rename.
  • Select the files you want to rename. If the files you want are not adjacent in the file list, press and hold Ctrl, and then click each item to select it.
  • On the File menu, click Rename.
  • Type the new name, and then press ENTER.
  • All of the files in the series will be named in sequence using the new name you type. For example, if you type Birthday, the first will be named Birthday and subsequent files in the series will be named Birthday (1), Birthday (2), and so on.
  • To specify the starting number for the series, type the starting number in parentheses after the new file name. The files in the series will be numbered in sequence starting with the number you type. For example, if you type Birthday (10), the other files will be named Birthday (11), Birthday (12), and so on.

Search for Information From the Address Bar in Internet Explorer

You can quickly search for information on the Web using the AutoSearch feature in Internet Explorer 6 in Windows XP:

  • In the Address bar, simply type "go" or "find" or "?" followed by a keyword or phrase, and then press ENTER. Your search results will soon appear.

Note Internet Explorer searches for your word or topic using only one search service. If you don't find what you need, click the Search button on the toolbar and try using different search services.

Save Time and Effort in Typing URL Addresses

With Internet Explorer 6 in Windows XP, typing Web addresses can be a breeze.

  • Type the domain of an address, such as Microsoft, and then press Ctrl+ENTER. Internet Explorer automatically wraps "http://www....com" around what you typed.
  • Not sure if the site uses a .com extension? Just type the domain of the address, and then press ENTER. Internet Explorer tries to find the site by using the various extensions.
  • If you need to edit an address, you can use Ctrl+LEFT ARROW and Ctrl+RIGHT ARROW to easily move between different parts of the address separated by periods.

Opening a Web Page in a New Window

When surfing the Web, sometimes you might want to check out a Web page and at the same time stay on the page that gave you the link in the first place.

With Internet Explorer 6 in Windows XP, that’s exactly what you can do:

  • Simply press and hold down the SHIFT key while you click the link. The page will open in a new Internet Explorer window.

Need to look at two Web pages side by side? That’s easy too. To view any open windows side by side:

  • Right-click an empty part of the taskbar (the bar at the bottom of your screen), and click either Tile Windows Horizontally or Tile Windows Vertically.

Stay Up to Date Automatically

Automatic updates in Windows XP ensure that your computer is always current. Windows XP checks Windows Update for the latest updates whenever you are on the Internet, determines which updates apply to your computer, and downloads them in the background while you keep working or playing. If you prefer, you can have the computer continue notifying you with automatic balloon message reminders about updates. It’s up to you! Here's how.

  • Click Start, click Control Panel, click Performance and Maintenance, and then click System. On the Automatic Updates tab, click the setting of your choice.

Note: If you choose not to use automatic updating, you can install specific updates from the Windows Update Web site whenever you like.

Learn How to Spot a 16-Bit Application

Because most Windows 3.x–based programs run properly under Windows XP, it’s sometimes difficult to tell 16-bit and 32-bit applications apart.

  • Right-click the program’s executable file and then choose Properties. If you see a Version tab, it’s a 32-bit program.
  • Or, if the program is running, press Ctrl+Shift+Esc to open the Windows Task Manager. On the Processes tab, look in the Image Name column for the name of the program’s executable file. If any 16-bit programs are running, you’ll find an entry for Ntvdm.exe, the virtual DOS machine. Just above it in the list, you’ll see indented entries for Wowexec.exe (the Windows on Windows subsystem) and the executable name of each 16-bit program running in that virtual machine.

Get Fast Access to System Settings

You don’t have to pass through Control Panel to get to the System Properties dialog box.

  • Hold down the Windows key and press Break to open this handy dialog box immediately.

No Windows key?

  • Create a shortcut to Sysdm.cpl (you’ll find it in the %systemroot%\System32 folder) and place it anywhere in the Programs menu. Then open the shortcut’s Properties dialog box and assign it an easy-to-remember keyboard shortcut such as Ctrl+Alt+Shift+S.
  • Some laptop keyboards may have separate keys for Break and Pause, and you may find this dialog box opens if you hold the Windows key and press Pause.

Finding Encrypted Files

Unless you use a command-line utility like Cipher.exe, it’s difficult to see at a glance which files are encrypted and which are not. Right-clicking each file and then choosing Properties, General, Advanced (followed by Cancel, Cancel) is tedious.

  • Open a folder containing the encrypted files.
  • On the View menu, choose Details, and then select Attributes. Encrypted files show a letter E in the Attributes column. You can also set an option so that the names of encrypted files appear in a different color from other file names.
  • On the Tools menu, choose Folder Options, click the View tab, and select Show Encrypted Or Compressed NTFS Files In Color.

Protect Your Files During a Power Outage

If the power goes out while your computer is on standby, you lose whatever is in memory. If you have any unsaved documents, for example, they’re gone. With an uninterruptible power supply (UPS), however, you can prevent data loss during blackouts.

Although the blackout might last longer than the battery run time provided by the UPS, you can prevent loss, even if your computer happens to be on standby and you’re away when the power goes out.

  • Enable hibernation. (Click Start, click Control Panel, click Performance and Maintenance, and then click Power Options. On the Hibernate tab, select Enable Hibernate Support.
  • Specify a time for the computer to switch to hibernation. This should be less than the battery run time. (On the Power Schemes tab, set a time for System Hibernate under Running On Batteries.)
Working with Files
To rename several files at once:
  • Select all of them in any folder view, or in the Windows Explorer, rename the FIRST one in the list, and the rest will follow.
To turn off filenames:
  • Hold down the Shift-key when you click to open a folder in Windows Explorer or when you switch into thumbnail view. This will turn of the file names, giving more space for the thumbnails. Doing it again turns them back on.
  • Try grouping your files. In the top menu bar select View – Arrange icons by… - Type, and then View – Arrange icons by… - Show in groups.